<?php

// *** Make sure the file isn't accessed directly
defined('APPHP_EXEC') or die('Restricted Access');
//--------------------------------------------------------------------------


if (@$login->IsLoggedInAsAdmin() && Modules::IsModuleInstalled("gallery")) {
	

	$action = MicroGrid::GetParameter('action');
	$rid    = MicroGrid::GetParameter('rid');
	$mode   = "view";
	$msg    = "";
	

	$objAlbums = new GalleryAlbums();
	
	if($action=="add"){		
		$mode = "add";
	}else if($action=="create"){
		if($objAlbums->AddRecord()){		

			$album_code 	= MicroGrid::GetParameter('album_code', false);
			$name 	        = MicroGrid::GetParameter('name', false);
			$description 	= MicroGrid::GetParameter('description', false);
			
			$msg = draw_success_message(_ADDING_OPERATION_COMPLETED, false);
			$mode = "view";
		}else{
			$msg = draw_important_message($objAlbums->error, false);
			$mode = "add";
		}
	}else if($action=="edit"){
		$mode = "edit";
	}else if($action=="update"){
		if($objAlbums->UpdateRecord($rid)){
			$msg = draw_success_message(_UPDATING_OPERATION_COMPLETED, false);
			$mode = "view";
		}else{
			$msg = draw_important_message($objAlbums->error, false);
			$mode = "edit";
		}		
	}else if($action=="delete"){
		if($objAlbums->DeleteRecord($rid)){
			$msg = draw_success_message(_DELETING_OPERATION_COMPLETED, false);
		}else{
			$msg = draw_important_message($objAlbums->error, false);
		}
		$mode = "view";
	}else if($action=="details"){		
		$mode = "details";		
	}else if($action=="cancel_add"){		
		$mode = "view";		
	}else if($action=="cancel_edit"){				
		$mode = "view";
	}
	
	// Start main content
	draw_title_bar(_GALLERY_MANAGEMENT.($action != "" ? " &raquo; ".ucfirst($action) : ""));

	//if($user_session->IsMessage('notice')) echo $user_session->GetMessage('notice');
	echo $msg;

	draw_content_start();
	if($mode == "view"){		
		$objAlbums->DrawViewMode();	
	}else if($mode == "add"){		
		$objAlbums->DrawAddMode();		
	}else if($mode == "edit"){		
		$objAlbums->DrawEditMode($rid);		
	}else if($mode == "details"){		
		$objAlbums->DrawDetailsMode($rid);		
	}
	draw_content_end();

} else {
	draw_important_message(_NOT_AUTHORIZED);
}

?>