<?php

// *** Make sure the file isn't accessed directly
defined('APPHP_EXEC') or die('Restricted Access');
//--------------------------------------------------------------------------


if (@$login->IsLoggedInAsAdmin() && Modules::IsModuleInstalled("resources")) {
	
	$action = MicroGrid::GetParameter('action');
	$rid    = MicroGrid::GetParameter('rid');
	$mode   = "view";
	$msg    = "";
	

	$objResources = new Resources();
	
	if($action=="add"){		
		$mode = "add";
	}else if($action=="create"){
		if($objResources->AddRecord()){
			$msg = draw_success_message(_ADDING_OPERATION_COMPLETED, false);
			$mode = "view";
		}else{
			$msg = draw_important_message($objResources->error, false);
			$mode = "add";
		}
	}else if($action=="edit"){
		$mode = "edit";
	}else if($action=="update"){
		if($objResources->UpdateRecord($rid)){
			$msg = draw_success_message(_UPDATING_OPERATION_COMPLETED, false);
			$mode = "view";
		}else{
			$msg = draw_important_message($objResources->error, false);
			$mode = "edit";
		}		
	}else if($action=="delete"){
		if($objResources->DeleteRecord($rid)){
			$msg = draw_success_message(_DELETING_OPERATION_COMPLETED, false);
		}else{
			$msg = draw_important_message($objResources->error, false);
		}
		$mode = "view";
	}else if($action=="details"){		
		$mode = "details";		
	}else if($action=="cancel_add"){		
		$mode = "view";		
	}else if($action=="cancel_edit"){				
		$mode = "view";
	}
	
	// Start main content
	draw_title_bar(_RESOURCES_MANAGEMENT.($action != "" ? " : ".ucfirst($action) : ""), "title_bar", $site_style);

	//if($user_session->IsMessage('notice')) echo $user_session->GetMessage('notice');
	echo $msg;

	draw_content_start();
	if($mode == "view"){		
		$objResources->DrawViewMode();	
	}else if($mode == "add"){		
		$objResources->DrawAddMode();		
	}else if($mode == "edit"){		
		$objResources->DrawEditMode($rid);		
	}else if($mode == "details"){		
		$objResources->DrawDetailsMode($rid);		
	}
	draw_content_end();
	
} else {
	draw_important_message(_NOT_AUTHORIZED);
}

?>