<?php

/***
 *	Class Accounts
 *  -------------- 
 *  Description : encapsulates account properties
 *  Updated	    : 09.12.2009
 *	Written by  : ApPHP
 *	
 **/

class Accounts {

	public $account_name;	
	public $error;

	protected $account_id;
	
	private $account_password;
	private $account_email;
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($account = 0)
	{
		$this->account_id = $account;
		$this->error      = "";
		
		// Get account information only if the class was created with some valid account_id
		if($this->account_id!="0"){
			$sql = "SELECT * FROM ".DB_PREFIX."accounts WHERE id=".intval($this->account_id);
			$temp = database_query($sql, DATA_ONLY, FIRST_ROW_ONLY);
			if(is_array($temp)){
				$this->account_email = isset($temp['email']) ? $temp['email'] : "";
				$this->account_name = isset($temp['user_name']) ? $temp['user_name'] : "";
				$this->account_password = isset($temp['password']) ? $temp['password'] : ""; 
			}			
		}
	}

	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }

	/***
	 * Get Parameter
	 *		@param $param
	 **/
	public function GetParameter($param = "")
	{
		if($param == "email"){
			return $this->account_email;
		}
		return "";
	}

	/***
	 * Change Email
	 *		@param $email
	 **/
	public function ChangeEmail($email)
	{
		// deny all operations in demo version
		if(strtolower(SITE_MODE) == "demo"){
			return draw_important_message(_OPERATION_BLOCKED, false);
		}
				
		if (!empty($email)) {
			if(check_email_address($email)){
				$sql = "UPDATE ".DB_PREFIX."accounts SET email = '".$email."' WHERE id = '".$this->account_id."'";
				if (database_void_query($sql)) {
					$this->account_email = $email;
					return draw_success_message(_CHANGES_SAVED, false);
				} else {
					return draw_important_message(_TRY_LATER, false);
				}
			} else return draw_important_message(_EMAIL_IS_WRONG, false);
		} else return draw_important_message(_EMAIL_IS_EMPTY, false);
	}

	/***
	 * Send forgotten password
	 *		@param $email
	 **/
	public function SendPassword($email)
	{
		global $objSettings;
		
		// deny all operations in demo version
		if(strtolower(SITE_MODE) == "demo"){
			$this->error = _OPERATION_BLOCKED;
			return false;
		}
				
		if(!empty($email)) {
			if(check_email_address($email)){   

				if(!PASSWORDS_ENCRYPTION){
					$sql = "SELECT id, user_name, password FROM ".DB_PREFIX."accounts WHERE email='".$email."' AND is_active = 1";
				}else{
					if(strtolower(PASSWORDS_ENCRYPTION_TYPE) == "aes"){
						$sql = "SELECT id, user_name, AES_DECRYPT(password, '".PASSWORDS_ENCRYPT_KEY."') as password FROM ".DB_PREFIX."accounts WHERE email='".$email."' AND is_active = 1";						
					}else if(strtolower(PASSWORDS_ENCRYPTION_TYPE) == "md5"){
						$sql = "SELECT id, user_name, '' as password FROM ".DB_PREFIX."accounts WHERE email='".$email."' AND is_active = 1";
					}				
				}
				
				$temp = database_query($sql, DATA_ONLY, FIRST_ROW_ONLY);
				if(is_array($temp) && count($temp) > 0){
					$sender = $objSettings->GetParameter("admin_email");
					$recipiant = $email;
	
					$title	= _PASSWORD_FORGOTTEN;
					$message = file_get_contents("mails/password_forgotten.txt");				
					$message = str_replace("_USER_NAME_", $temp['user_name'], $message);
					if(!PASSWORDS_ENCRYPTION){
						$password = $temp['password'];
					}else{
						if(strtolower(PASSWORDS_ENCRYPTION_TYPE) == "aes"){
							$password = $temp['password'];
						}else if(strtolower(PASSWORDS_ENCRYPTION_TYPE) == "md5"){
							$password = get_random_string(8);
							$sql = "UPDATE ".DB_PREFIX."accounts SET password = '".md5($password)."' WHERE id = ".$temp['id'];
							database_void_query($sql);
						}				
					}
					$message = str_replace("_USER_PASSWORD_", $password, $message);
					$message = str_replace("_WEB_SITE_", $_SERVER['SERVER_NAME'], $message);
	
					$text_version = strip_tags($message);
				
					$msg = new Email($recipiant, $sender, $title); 
					$msg->textOnly = true;
					$msg->content = $text_version;			
					
					$msg->Send();
					
					return true;					
				}else{
					$this->error = _EMAIL_NOT_EXISTS;
					return false;
				}				
			}else{
				$this->error = _EMAIL_IS_WRONG;
				return false;								
			}
		} else {
			$this->error = _EMAIL_IS_EMPTY;
			return false;
		}
		return true;
	}

}
?>