<?php

/**
 *	Class Admins
 *  -------------- 
 *  Description : encapsulates admins properties
 *  Updated	    : 16.05.2009
 *	Written by  : ApPHP
 *	
 **/

class Admins extends Accounts {
    
	protected $account_id;

    private $account_info;

	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($account = 0)
	{
		$this->account_id = $account;

		// Get account information only if the class was created with some valid account_id
        $sql = "SELECT * FROM ".DB_PREFIX."accounts WHERE account_type = 'admin'";
        $temp = database_query($sql, DATA_ONLY, FIRST_ROW_ONLY);
        if(is_array($temp)){
            $this->account_info = $temp;
        }
	}

	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }
    
	/***
	 * Get Parameter
	 *		@param $param
	 **/
	public function GetParameter($param = "", $is_decoded = true)
	{
		$output = ($this->account_info[$param]) ? $this->account_info[$param] : "";
		if($is_decoded) $output = decode_text($output);
		return $output;
	}   

	/***
	 * Change Password
	 *		@param $password
	 *		@param $confirmation - confirm password
	 **/
	public function ChangePassword($password, $confirmation)
	{
		// deny all operations in demo version
		if(strtolower(SITE_MODE) == "demo"){
			return draw_important_message(_OPERATION_BLOCKED, false);
		}
				
		if (!empty($password) && !empty($confirmation) && strlen($password) >= 6) {
			if ($password == $confirmation){
				if(!PASSWORDS_ENCRYPTION){
					$sql = "UPDATE ".DB_PREFIX."accounts SET password = '".$password."' WHERE id = '".$this->account_id."'";
				}else{
					if(strtolower(PASSWORDS_ENCRYPTION_TYPE) == "aes"){
						$sql = "UPDATE ".DB_PREFIX."accounts SET password = AES_ENCRYPT('".$password."', '".PASSWORDS_ENCRYPT_KEY."') WHERE id = '".$this->account_id."'";
					}else if(strtolower(PASSWORDS_ENCRYPTION_TYPE) == "md5"){
						$sql = "UPDATE ".DB_PREFIX."accounts SET password = '".md5($password)."' WHERE id = '".$this->account_id."'";
					}				
				}
				
				if (database_void_query($sql)) {
					return draw_success_message(_PASSWORD_CHANGED, false);
				} else {
					return draw_important_message(_PASSWORD_NOT_CHANGED, false);
				}								
			} else return draw_important_message(_PASSWORD_DO_NOT_MATCH, false);
		} else return draw_important_message(_PASSWORD_IS_EMPTY, false);
	}

}

?>