<?php

/***
 *	Class Comments
 *  -------------- 
 *  Description : encapsulates comments properties
 *  Updated	    : 26.04.2010
 *	Written by  : ApPHP
 *	
 **/

class Comments {

	public $error;
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct() {
		

	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct(){
		// echo 'this object has been destroyed';
    }

	/***
	 *	Get parameter
	 *	
	 **/
	public function GetParameter($param = ""){
		if(isset($this->page[$param])){
			return $this->page[$param];
		}else{
			return "";
		}
	}
	
	/***
	 *	Draw Article Comments
	 *	
	 **/
	function DrawArticleCommentsLink($article_id = "", $href = ""){
		if(!$article_id) return "";
		
		$sql = "SELECT COUNT(*) as cnt FROM ".DB_PREFIX."comments WHERE article_id = ".(int)$article_id;
		$comments_result = database_query($sql, DATA_ONLY, FIRST_ROW_ONLY);
		$total_comments = $comments_result['cnt'];
		
		if($href == ""){
			$onlick = "onclick=\"javascript:$('#commentsWrapper').slideToggle('fast');\"";
			$href = "javascript:void(0);";
		}else{
			$onlick = "";
		}
		$output = "<div class='commentsLink'><a href='".$href."' ".$onlick.">".str_replace("_COUNT_", $total_comments, _COMMENTS_LINK)."</a></div>";
		return $output;
	}

	/***
	 *	Draw Article Comments
	 *	
	 **/
	function DrawArticleComments($article_id = "", $objCommentsSettings){
		if(!$article_id) return "";
		
		global $login;
		
		$user_type  		= $objCommentsSettings->GetSettings("user_type");
		$comment_length		= $objCommentsSettings->GetSettings("comment_length");
		$image_verification = $objCommentsSettings->GetSettings("image_verification_allow");
		$comments_on_page   = $objCommentsSettings->GetSettings("page_size");
		
        if($image_verification == "yes"){
			include_once("modules/captcha/securimage.php");
			$img = new Securimage();			
		}
		//echo "<pre>";
		//print_r($_SERVER);
		//echo "</pre>";

		$task 				= isset($_POST['task']) ? prepare_input($_POST['task']) : "";
		$init_state 		= "closed";
		$user_id			= isset($_POST['user_id']) ? (int)$_POST['user_id'] : "";		
		$user_name  		= isset($_POST['comment_user_name']) ? prepare_input($_POST['comment_user_name']) : "";
		$user_email  		= isset($_POST['comment_user_email']) ? prepare_input($_POST['comment_user_email']) : "";
		$comment_text 		= isset($_POST['comment_text']) ? $_POST['comment_text'] : "";
		$captcha_code 		= isset($_POST['captcha_code']) ? prepare_input($_POST['captcha_code']) : "";
		$msg                = "";
		$task_completed     = false;
		$focus_field 		= "";
		$current_page 		= isset($_GET['p']) ? (int)$_GET['p'] : "1";
		$page               = isset($_GET['page']) ? prepare_input($_GET['page']) : "";
		$pid                = isset($_GET['pid']) ? (int)$_GET['pid'] : "";
		$message_width 		= "";

		if($task == "publish_comment"){
			$init_state = "opened";
			
			if($user_name == ""){
				$msg = draw_important_message(_NAME_EMPTY_ALERT, false, false, false, $message_width);
				$focus_field = "comment_user_name";
			}else if(!check_email_address($user_email) && !@$login->IsLoggedInAs("admin","author")){
				$msg = draw_important_message(_EMAIL_IS_WRONG, false, false, false, $message_width);
				$focus_field = "comment_user_email";			
			}else if($comment_text == ""){
				$msg = draw_important_message(_MESSAGE_EMPTY_ALERT, false, false, false, $message_width);
				$focus_field = "comment_text";
			}else if($comment_text != "" && (strlen($comment_text) > $comment_length)){
				$msg = draw_important_message(str_replace("_LENGTH_", $comment_length, _COMMENT_LENGTH_ALERT), false, false, false, $message_width);
				$focus_field = "comment_text";				
			}else if(($image_verification == "yes") && !$img->check($captcha_code)){
				$msg = draw_important_message(_WRONG_CODE_ALERT, false, false, false, $message_width);
				$focus_field = "captcha_code";				
			}else{
				// Block operation in demo mode
				if(strtolower(SITE_MODE) == "demo"){
					$msg = draw_important_message(_OPERATION_BLOCKED, false, false, false, $message_width);
				}else{					
					$sql = "INSERT INTO ".DB_PREFIX."comments(
								id,
								article_id,
								user_id,
								user_name,
								user_email,
								comment_text,
								date_published 
							)VALUES(
								NULL,
								".(int)$article_id.",
								".(int)$user_id.",
								'".decode_text($user_name)."',
								'".decode_text($user_email)."',
								'".decode_text(strip_tags($comment_text, "<b><i><u><br>"))."',
								'".date("Y-m-d H:i:s")."'
							)";
					if(database_void_query($sql)){
						$msg = draw_success_message(_COMMENT_POSTED_SUCCESS, false, false, false, $message_width);
						$task_completed = true;
					}else{
						$msg = draw_important_message(_TRY_LATER, false, false, false, $message_width);
					}
				}
			}			
		}


		// -------- pagination
		$total_comments 	= 0;
		$page_size  		= $comments_on_page;		
		
		$sql = "SELECT COUNT(*) as cnt FROM ".DB_PREFIX."comments WHERE article_id = ".(int)$article_id;
		$comments_result = database_query($sql, DATA_ONLY, FIRST_ROW_ONLY);
		$total_comments = $comments_result['cnt'];
		
		$total_pages = (int)($total_comments / $page_size);
		
		if(!is_numeric($current_page) || (int)$current_page <= 0) $current_page = 1;
		if($current_page > ($total_pages+1)) $current_page = 1;
		if(($total_comments % $page_size) != 0) $total_pages++;
		if($task_completed) $current_page = $total_pages;
		
		$start_row = ($current_page - 1) * $page_size;
		if(isset($_GET['p'])) $init_state = "opened";		
		// --------

		$sql = "SELECT
					".DB_PREFIX."comments.*,
					".DB_PREFIX."accounts.avatar
				FROM ".DB_PREFIX."comments
					LEFT OUTER JOIN ".DB_PREFIX."accounts ON ".DB_PREFIX."comments.user_id = ".DB_PREFIX."accounts.id
				WHERE ".DB_PREFIX."comments.article_id = ".(int)$article_id."
				ORDER BY ".DB_PREFIX."comments.date_published ASC 
				LIMIT ".$start_row.", ".$page_size;
				
		$result = database_query($sql, DATA_AND_ROWS);
		
		$output = "<div id='commentsWrapper' style='display:".(($init_state == "opened") ? "" : "none").";'>";
		$output .= "<div id='commentsPublished'>";
		if($result[1] > 0){
			for($i=0; $i<$result[1]; $i++){
				$output .= "<div class='comment'>";
				$output .= "<div class='comment_user_name'>";
				$output .= ($result[0][$i]["avatar"] != "") ? "<img class='commets_avatar' width='32px' height='32px' src='images/users_images/".$result[0][$i]["avatar"]."' alt='' /> " : "<img class='commets_avatar' width='32px' height='32px' src='images/users_images/avatar_thumb.png' alt='' /> ";
				$output .= "<b>".$result[0][$i]["user_name"]."</b> "._SAID."...</div>";
				$output .= "<div class='comment_test'>".$result[0][$i]["comment_text"]."</div>";
				$output .= "<div class='comment_date'><i>"._PUBLISHED.": ".$result[0][$i]["date_published"]."</i></div>";
				$output .= "</div>";
			}
			// draw pagination links
			if($total_pages > 1){
				$output .= "<div class='pagging'>";
				for($page_ind = 1; $page_ind <= $total_pages; $page_ind++){
					$output .= "<a class='pagging_link' href='index.php?page=".$page."&pid=".$pid."&p=".$page_ind."'>".(($page_ind == $current_page) ? "<b>[".$page_ind."]</b>" : $page_ind)."</a> ";
				}
				$output .= "</div>"; 
			}
		}else{
			if($msg == "") $msg = draw_message(_NO_COMMENTS_YET, false, false, false, $message_width);
		}
		
		if($user_type == "registered" && !@$login->IsLoggedInAs("author","admin")){
			$msg = draw_message(_POST_COM_REGISTERED_ALERT, false, false, false, $message_width);
			$comments_form = "";
		}else{
			$comments_form = $this->DrawCommentsForm($article_id, $image_verification, $focus_field, $task_completed);	
		}		

		$output .= (($msg != "") ? $msg."<br />" : "");
		$output .= $comments_form;
		$output .= "</div>";
		$output .= "</div>\n";
		
		return $output;
	}
	
	
	/***
	 *	Draw Comment Submission Form
	 **/
	private function DrawCommentsForm($article_id = "", $image_verification = "no", $focus_field = "", $task_completed = false){
		if(!$article_id) return "";
	
		global $login;
		$user_id 		= "";
		$user_name 		= "";
		$user_name  	= (isset($_POST['comment_user_name']) && !$task_completed) ? decode_text($_POST['comment_user_name']) : "";		
		$user_email  	= (isset($_POST['comment_user_email']) && !$task_completed) ? decode_text($_POST['comment_user_email']) : "";		
		$comment_text 	= (isset($_POST['comment_text']) && !$task_completed) ? $_POST['comment_text'] : "";		

		if(@$login->IsLoggedInAs("admin","author")){
			$user_id = @$login->GetLoggedID();
			$user_name = @$login->GetLoggedName();
		}		
		
		$page_url = get_page_url();
		$page_url = preg_replace("/&com_status=open/i", "", $page_url);
		
		$output = "
		<div style='width:100%;margin-left:0px;'>
		<form action='".$page_url."' method='post' name='frmComments' id='frmComments'>
		    <input type='hidden' name='task' value='publish_comment' />
			<input type='hidden' name='article_id' value='".$article_id."' />
		    <input type='hidden' name='user_id' value='".$user_id."' />
			
			<table border='0' width='640px'>
			<tr>
				<td colspan='3'>
					<b>"._LEAVE_YOUR_COMMENT."</b>	
				</td>
			</tr>
			<tr>
				<td>";
				if($user_id == ""){
					$output .= _YOUR_NAME.": <input type='text' class='form_text' name='comment_user_name' id='comment_user_name' style='width:140px' value='".htmlentities($user_name)."' />&nbsp; "._YOUR_EMAIL.": <input type='text' class='form_text' name='comment_user_email' id='comment_user_email' style='width:140px' value='".htmlentities($user_email)."' /><br /><br />";
				}else{
					$output .= "<input type='hidden' class='form_text' name='comment_user_name' id='comment_user_name' value='".htmlentities($user_name)."' /> <input type='hidden' name='comment_user_email' id='comment_user_email' value='".htmlentities($user_email)."' />";			
				}

				$output .= ""._COMMENT_TEXT.":<br />
				<textarea class='form_textarea' id='comment_text' name='comment_text' cols='50' rows='5'>".htmlentities($comment_text)."</textarea><br />
				"._CAN_USE_TAGS_MSG." &lt;b&gt;, &lt;i&gt;, &lt;u&gt;, &lt;br&gt; <br /><br />";
				
				//"._IMAGE_VERIFICATION.":<br />
				$output .= "</td>
				<td>&nbsp;</td>
				<td valign='top' width='180px' align='center'>";
					if($image_verification == "yes"){						
						$output .= "<table border='0' cellspacing='0' cellpadding='0'>
						<tr>
							<td>
								<img style='padding:0px; margin:0px;' id='captcha_image' src='modules/captcha/securimage_show.php?sid=".md5(uniqid(time()))."' />
							</td>	
							<td>
								<img style='cursor:pointer; padding:0px; margin:0px;' id='captcha_image_reload' src='modules/captcha/images/refresh.gif' style='cursor:pointer;' onclick=\"document.getElementById('captcha_image').src = 'modules/captcha/securimage_show.php?sid=' + Math.random(); return false\" title='".htmlentities(_REFRESH)."' alt='".htmlentities(_REFRESH)."' /><br />
								<a href='modules/captcha/securimage_play.php'><img border='0' style='padding:0px; margin:0px;' id='captcha_image_play' src='modules/captcha/images/audio_icon.gif' title='".htmlentities(_PLAY)."' alt='".htmlentities(_PLAY)."' /></a>						
							</td>					
						</tr>
						<tr><td colspan=2 nowrap height='20px'></td></tr>
						<tr>
							<td colspan=2 align='center'>
								"._TYPE_CHARS."
							</td>
						</tr>
						<tr><td colspan=2 nowrap height='10px'></td></tr>
						<tr>
							<td colspan=2>
								<input type='text' class='form_text' name='captcha_code' id='captcha_code' style='width:175px' value='' />
							</td>
						</tr>
						</table>";						
					}
				$output .= "</td>
			</tr>			
			</table>
			<input type='submit' class='form_button' name='btnSubmitPC' id='btnSubmitPC' value='".htmlentities(_PUBLISH_YOUR_COMMENT)."'>		
		</form>
		</div>";
		
		if($focus_field != "") $output .= "<script type='text/javascript'>appSetFocus('".$focus_field."');</script>";
	
		return $output;
	}

	
}
?>