<?php

/**
 *	Class Contact
 *  -------------- 
 *  Description : encapsulates Contact properties
 *  Updated	    : 02.04.2010
 *	Written by  : ApPHP
 *	
 **/

class Contact {

	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($account = 0)
	{
		
        
	}

	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }


	function DrawContactForm(){

		global $objSettings;
		$from_email  = $objSettings->GetParameter("admin_email");
		
		$objContact = new ModulesSettings("contact");
		$admin_email  = $objContact->GetSettings("email");
		$focus_element = "first_name";
		
		// post fields
		$task             = isset($_POST['task']) ? $_POST['task'] : "";		
		$first_name       = isset($_POST['first_name']) ? $_POST['first_name'] : "";
		$last_name        = isset($_POST['last_name']) ? $_POST['last_name'] : "";
		$email            = isset($_POST['email']) ? $_POST['email'] : "";
		$subject          = isset($_POST['subject']) ? $_POST['subject'] : "";
		$message          = isset($_POST['message']) ? $_POST['message'] : "";
		$msg              = "";

		if($task == "contact"){
			if(isset($_SESSION['contact_mail_sent']) && $_SESSION['contact_mail_sent']){
				$msg = draw_important_message(_CONTACT_ALREADY_SENT, false);
			}else{			
				if($first_name == ""){
					$msg = draw_important_message(_FIRST_NAME_EMPTY_ALERT, false);
					$focus_element = "first_name";
				}else if($last_name == ""){
					$msg = draw_important_message(_LAST_NAME_EMPTY_ALERT, false);
					$focus_element = "last_name";
				}else if($email == ""){
					$msg = draw_important_message(_EMAIL_EMPTY_ALERT, false);
					$focus_element = "email";
				}else if(($email != "") && (!check_email_address($email))){
					$msg = draw_important_message(_EMAIL_VALID_ALERT, false);
					$focus_element = "email";
				}else if($subject == ""){        
					$msg = draw_important_message(_SUBJECT_EMPTY_ALERT, false);
					$focus_element = "subject";
				}else if($message == ""){        
					$msg = draw_important_message(_MESSAGE_EMPTY_ALERT, false);
					$focus_element = "message";
				}
				
				// deny all operations in demo version
				if(strtolower(SITE_MODE) == "demo"){
					$msg = draw_important_message(_OPERATION_BLOCKED, false);
				}						

				if($msg == ""){            
					////////////////////////////////////////////////////////////
					$sender = $from_email;
					$recipiant = $admin_email;
				
					$msg_title = "Question (via Contact Us)";
					
					$body   = "First Name: ".$first_name."<br />";
					$body  .= "Last Name: ".$last_name."<br />";
					$body  .= "Email: ".$email."<br />";
					$body  .= "Subject: ".$subject."<br />";
					$body  .= "Message: ".str_replace("\\", "", $message);
					
					$textversion = strip_tags($body);
					$htmlversion = $body;
				
					unset($msg);	  
					$msg = new Email($recipiant, $sender, $msg_title); 
					
					$msg->textOnly = false;
					$msg->content = $htmlversion;
				
					$sendsuccess = $msg->Send();
					////////////////////////////////////////////////////////////
			
					$msg = draw_success_message(_CONTACT_EMAIL_SENT, false);
					$_SESSION['contact_mail_sent'] = true;
					
					$first_name = $last_name = $email = $subject = $message = "";
				}
			}
		}

		$output = "
        <form method='post' name='frmContact' id='frmContact'>
		    <input type='hidden' name='task' value='contact' />
		    
			".(($msg != "") ? $msg."<br />" : "")."
			
		    <table cellspacing='1' cellpadding='2' border='0' width='100%'>
		    <tbody>
		    <tr>
			    <td width='25%' align='right'>"._FIRST_NAME."</td>
			    <td><font class='mandatory_star'>*</font></td>
			    <td nowrap='nowrap'><input type='text' class='form_text' id='first_name' name='first_name' size='34' maxlength='32' value='".$first_name."' /></td>
		    </tr>
		    <tr>
			    <td align='right'>"._LAST_NAME."</td>
			    <td><font class='mandatory_star'>*</font></td>
			    <td nowrap='nowrap'><input type='text' class='form_text' id='last_name' name='last_name' size='34' maxlength='32' value='".$last_name."' /></td>
		    </tr>
		    <tr>
                <td align='right'>"._EMAIL_ADDRESS."</td>
                <td><font class='mandatory_star'>*</font></td>
                <td nowrap='nowrap'><input type='text' class='form_text' class='form_text' id='email' name='email' size='34' maxlength='128' value='".$email."' /></td>
		    </tr>
		    <tr>
                <td align='right'>"._SUBJECT."</td>
                <td><font class='mandatory_star'>*</font></td>
                <td nowrap='nowrap'><input type='text' class='form_text' id='subject' name='subject' size='34' maxlength='128' value='".$subject."' /></td>
		    </tr>
		    <tr valign='top'>
                <td align='right'>"._MESSAGE."</td>
                <td><font class='mandatory_star'>*</font></td>
                <td nowrap='nowrap'>
                    <textarea id='message' class='form_textarea' name='message' cols='45' rows='8'>".$message."</textarea>                
                </td>
		    </tr>
		    <tr><td height='20' colspan='3'>&nbsp;</td></tr>            
		    <tr>
				<td colspan='3' align='center'>
				<br /><br />
				<input type='submit' class='form_button' name='btnSubmitPD' id='btnSubmitPD' value='"._SEND."'>
				</td>
		    </tr>
		    <tr><td colspan='3'>&nbsp;</td></tr>		    		    
		    </table>
		</form>\n";
		if($focus_element != ""){
			$output .= "<script type='text/javascript'>\n
		    document.getElementById('".$focus_element."').focus();\n
		    </script>";
		}
        return $output;      
    }

}

?>