<?php

/**
 * 	Class GalleryAlbums
 *  -------------- 
 *  Description : encapsulates gallery albums properties
 *  Updated	    : 28.04.2010
 *	Written by  : ApPHP
 *
 *	__construct
 *	__destruct
 *	
 **/


class GalleryAlbums extends MicroGrid {
	
	protected $debug = false;
	
	protected $tableName;
	protected $primaryKey;
	protected $dataSet;

	protected $formActionURL;
	protected $params;
	protected $actions;
	protected $actionIcons;
	protected $errorField;

	protected $languageId;
	protected $allowLanguages;

	protected $VIEW_MODE_SQL;
	protected $EDIT_MODE_SQL;
	protected $DETAILS_MODE_SQL;
	protected $WHERE_CLAUSE;
	protected $ORDER_CLAUSE;
	protected $LIMIT_CLAUSE;

	protected $arrViewModeFields;	
	protected $arrAddModeFields;	
	protected $arrEditModeFields;
	protected $arrDetailsModeFields;	
	
	protected $isPagingAllowed;
	protected $pageSize;

	protected $isSortingAllowed;

	protected $isFilteringAllowed;
	protected $arrFilteringFields;

	public $error;
	static private $static_error = "";
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct() {
		
		$this->SetRunningTime();

		$this->params = array();		
		if(isset($_POST['name']))           $this->params['name'] = $_POST['name'];
		if(isset($_POST['description']))    $this->params['description'] = $_POST['description'];
		if(isset($_POST['album_code']))     $this->params['album_code'] = $_POST['album_code'];
		if(isset($_POST['priority_order'])) $this->params['priority_order'] = $_POST['priority_order'];
		if(isset($_POST['is_active']))      $this->params['is_active'] = $_POST['is_active']; else $this->params['is_active'] = "0";
		/// $this->params['language_id'] 		= MicroGrid::GetParameter('language_id');
	
		$this->primaryKey 	= "id";
		$this->tableName 	= DB_PREFIX."gallery_albums";
		$this->dataSet 		= array();
		$this->error 		= "";
		$this->formActionURL = "index.php?admin=mod_gallery_management";
		$this->actions      = array("add"=>true, "edit"=>true, "details"=>true, "delete"=>true);
		$this->actionIcons  = false;

		/// $this->languageId  	= ($this->params['language_id'] != "") ? $this->params['language_id'] : Languages::GetDefaultLang();
		$this->allowLanguages = false;
		$this->WHERE_CLAUSE = "";// "WHERE ...";		
		$this->ORDER_CLAUSE = "ORDER BY priority_order ASC"; // ORDER BY date_created DESC

		$this->isAlterColorsAllowed = true;

		$this->isPagingAllowed = true;
		$this->pageSize = 10;

		$this->isSortingAllowed = true;

		$this->isFilteringAllowed = false;
		// define filtering fields
		$this->arrFilteringFields = array(
			//"parameter1" => array("title"=>"",  "type"=>"text", "sign"=>"=|like%|%like|%like%", "width"=>"80px"),
			//"parameter2"  => array("title"=>"",  "type"=>"text", "sign"=>"=|like%|%like|%like%", "width"=>"80px"),
		);

		// prepare languages array		
		#$total_languages = Languages::GetAllActive();
		#$arr_languages      = array();
		#foreach($total_languages[0] as $key => $val){
		#	$arr_languages[$val['abbreviation']] = $val['lang_name'];
		#}

		//---------------------------------------------------------------------- 
		// VIEW MODE
		//---------------------------------------------------------------------- 
		$this->VIEW_MODE_SQL = "SELECT
									ga.".$this->primaryKey.",
		                            ga.album_code,
									ga.name,
									ga.description,
									ga.priority_order,
									IF(ga.is_active, '"._YES."', '"._NO."') as is_active,
									CONCAT('<a href=\"index.php?admin=mod_gallery_upload_images&album=', album_code, '\">"._UPLOAD."</a> (', (SELECT COUNT(*) as cnt FROM ".DB_PREFIX."gallery_images gi WHERE gi.album_code = ga.album_code) , ')') as link_upload_images
								FROM ".$this->tableName." ga";		
		// define view mode fields
		$this->arrViewModeFields = array(
			"name"  			 => array("title"=>_ALBUM_NAME, "type"=>"label", "align"=>"left", "width"=>"20%"),
			"description"    	 => array("title"=>_DESCRIPTION, "type"=>"label", "align"=>"left", "width"=>""),
			"is_active"      	 => array("title"=>_ACTIVE, "type"=>"label", "align"=>"center", "width"=>"10%"),
			"priority_order" 	 => array("title"=>_ORDER, "type"=>"label", "align"=>"center", "width"=>"10%"),
			"link_upload_images" => array("title"=>_IMAGES, "type"=>"label", "align"=>"center", "width"=>"14%"),

			// "parameter1"  => array("title"=>"", "type"=>"label", "align"=>"left", "width"=>""),
		);
		
		//---------------------------------------------------------------------- 
		// ADD MODE
		//---------------------------------------------------------------------- 
		// define add mode fields
		$this->arrAddModeFields = array(
			"name"  	   => array("title"=>_ALBUM_NAME, "type"=>"textbox",  "width"=>"210px", "required"=>true, "readonly"=>false, "validation_type"=>"text"),
			"description"  => array("title"=>_DESCRIPTION, "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>false, "readonly"=>false, "validation_type"=>"text"),
			"priority_order" => array("title"=>_ORDER, "type"=>"textbox",  "width"=>"40px", "maxlength"=>"3", "required"=>true, "readonly"=>false, "validation_type"=>"numeric"),
			"is_active"    => array("title"=>_ACTIVE,  "type"=>"checkbox", "readonly"=>false, "true_value"=>"1", "false_value"=>"0"),
			"album_code"   => array("title"=>"", "type"=>"hidden",   "required"=>true, "readonly"=>false, "default"=>random_string(8)),

			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter4"  => array("title"=>"", "type"=>"hidden",   "required"=>true, "readonly"=>false, "default"=>date("Y-m-d H:i:s")),
			// "parameter5"  => array("title"=>"", "type"=>"enum",     "required"=>true, "readonly"=>false, "width"=>"210px", "source"=>$arr_languages),
			// "parameter6"  => array("title"=>"", "type"=>"checkbox", "readonly"=>false, "true_value"=>"1", "false_value"=>"0"),
			// "parameter7"  => array("title"=>"", "type"=>"image",    "width"=>"210px", "required"=>true, "readonly"=>false, "target"=>"uploaded/"),
			
			//  "separator_X"   =>array(
			//		"separator_info" => array("legend"=>"Legend Text"),
			//		"parameter1"  => array("title"=>"", "type"=>"label"),
			//		"parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//		"parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//  )
		);

		//---------------------------------------------------------------------- 
		// EDIT MODE
		//---------------------------------------------------------------------- 
		$this->EDIT_MODE_SQL = "SELECT
								".$this->tableName.".".$this->primaryKey.",
								".$this->tableName.".name,
								".$this->tableName.".description,
								".$this->tableName.".priority_order,
								".$this->tableName.".is_active,
								IF(".$this->tableName.".is_active, '"._YES."', '"._NO."') as my_is_active
							FROM ".$this->tableName."
							WHERE ".$this->tableName.".".$this->primaryKey." = _RID_";		
		// define edit mode fields
		$this->arrEditModeFields = array(
			"name"  	   => array("title"=>_ALBUM_NAME, "type"=>"textbox",  "width"=>"210px", "required"=>true, "readonly"=>false, "validation_type"=>"text"),
			"description"  => array("title"=>_DESCRIPTION, "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>false, "readonly"=>false, "validation_type"=>"text"),
			"priority_order" => array("title"=>_ORDER, "type"=>"textbox",  "width"=>"40px", "maxlength"=>"3", "required"=>true, "readonly"=>false, "validation_type"=>"numeric"),
			"is_active"    => array("title"=>_ACTIVE,  "type"=>"checkbox", "readonly"=>false, "true_value"=>"1", "false_value"=>"0"),
		
			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter4"  => array("title"=>"", "type"=>"hidden",   "required"=>true, "default"=>date("Y-m-d H:i:s")),
			// "parameter5"  => array("title"=>"", "type"=>"enum",     "width"=>"210px", "required"=>true, "readonly"=>false, "source"=>$arr_languages),
			// "parameter6"  => array("title"=>"", "type"=>"checkbox", "readonly"=>false, "true_value"=>"1", "false_value"=>"0"),
			// "parameter7"  => array("title"=>"", "type"=>"image",    "width"=>"210px", "required"=>true, "target"=>"uploaded/"),
		
			//  "separator_X"   =>array(
			//		"separator_info" => array("legend"=>"Legend Text"),
			//		"parameter1"  => array("title"=>"", "type"=>"label"),
			//		"parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//		"parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//  )
		);

		//---------------------------------------------------------------------- 
		// DETAILS MODE
		//----------------------------------------------------------------------
		$this->DETAILS_MODE_SQL = $this->EDIT_MODE_SQL;
		$this->arrDetailsModeFields = array(
			"name"  	     => array("title"=>_ALBUM_NAME, "type"=>"label"),
			"description"  	 => array("title"=>_DESCRIPTION, "type"=>"label"),
			"priority_order" => array("title"=>_ORDER, "type"=>"label"),
			"my_is_active"   => array("title"=>_ACTIVE,  "type"=>"label"),

			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"label"),
			// "parameter3"  => array("title"=>"", "type"=>"label"),
			// "parameter4"  => array("title"=>"", "type"=>"image", "target"=>"uploaded/"),
		);

	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }

	/**
	 *	Set system SQLs
	 *
	*/	
	function SetSQLs($key, $msg){
		if($this->debug) $this->arrSQLs[$key] = $msg;					
	}

	function GetAlbumInfo($album_code){
		return database_query("SELECT * FROM ".DB_PREFIX."gallery_albums WHERE album_code='".encode_text($album_code)."'", DATA_ONLY);
	}
	
	function DrawAlbum($album_code = ""){
		
		$output = "";

		$objGallerySettings = new ModulesSettings("gallery");
		$icon_width  = $objGallerySettings->GetSettings("album_icon_width");
		$icon_height = $objGallerySettings->GetSettings("album_icon_height");
		$albums_per_line = $objGallerySettings->GetSettings("albums_per_line");

		$sql = "SELECT
					gi.image_file,
					gi.image_text,
					ga.name as album_name
				FROM ".DB_PREFIX."gallery_albums ga
					INNER JOIN ".DB_PREFIX."gallery_images gi ON ga.album_code = gi.album_code
				WHERE
					ga.album_code = '".encode_text($album_code)."' AND
					ga.is_active = 1 AND
					gi.is_active = 1
				ORDER BY gi.priority_order ASC";
		$result_images = database_query($sql, DATA_AND_ROWS);

		if($result_images[1] > 0){
			$output .= "<link rel='stylesheet' href='modules/lytebox/css/lytebox.css' type='text/css' media='screen' />\n";
			$output .= "<!--
			LyteBox v3.22
			Author: Markus F. Hay
			Website: http://www.dolem.com/lytebox
			-->
			<script type='text/javascript' language='javascript' src='modules/lytebox/js/lytebox.js'></script>\n";
			
			$output .= draw_title_bar(_ALBUM.": ".$result_images[0][0]['album_name'], false);

			$output .= "<table border='0' cellpadding='5'>";
			$output .= "<tr>";
			
			for($i=0; $i<$result_images[1]; $i++){
				if(($i != 0) && ($i % $albums_per_line == 0)){
					$output .= "</tr><tr>";	
				}
				$output .= "<td valign='top' align='center'>";	
				$output .= "<a href='images/gallery_images/".$result_images[0][$i]['image_file']."' rel='lyteshow[".$result_images[0][$i]['album_name']."]' title='".$result_images[0][$i]['image_text']."'><img src='images/gallery_images/".$result_images[0][$i]['image_file']."' width='".$icon_width."' height='".$icon_height."' style='margin:5px;' alt='' title='' border='' /></a>";
				$output .= "</td>";
			}
			$output .= "</tr>";
			$output .= "</table>";		
		}		
		
		return $output;
	}
	
	function DrawGallery(){
		$output = "";

		$objGallerySettings = new ModulesSettings("gallery");
		$icon_width  = $objGallerySettings->GetSettings("album_icon_width");
		$icon_height = $objGallerySettings->GetSettings("album_icon_height");
		$albums_per_line = $objGallerySettings->GetSettings("albums_per_line");

		$sql = "SELECT id, name, description, album_code FROM ".DB_PREFIX."gallery_albums WHERE is_active = 1 ORDER BY priority_order ASC";
		$result = database_query($sql, DATA_AND_ROWS);
		if($result[1] > 0){
			$output .= "<table border='0' cellpadding='5'>";
			$output .= "<tr>";		
			for($i=0; $i<$result[1]; $i++){
				if(($i != 0) && ($i % $albums_per_line == 0)){
					$output .= "</tr><tr>";	
				}
				$output .= "<td valign='top' align='center'>";	
				$sql = "SELECT image_file, image_text FROM ".DB_PREFIX."gallery_images WHERE album_code = '".$result[0][$i]['album_code']."' AND is_active = 1 ORDER BY priority_order ASC";
				$result_images = database_query($sql, DATA_AND_ROWS);
				for($j=0; $j<$result_images[1]; $j++){
					//$output .= $result_images[0][$j]['image_file']." <br>";
					if($j == 0){
						$output .= "<a href='images/gallery_images/".$result_images[0][$j]['image_file']."' rel='lyteshow[".$result[0][$i]['name']."]' title='".$result_images[0][$j]['image_text']."'><img src='images/gallery_images/".$result_images[0][$j]['image_file']."' width='".$icon_width."' height='".$icon_height."' alt='' title='' border='' /></a>";
					}else{
						$output .= "<a href='images/gallery_images/".$result_images[0][$j]['image_file']."' rel='lyteshow[".$result[0][$i]['name']."]' title='".$result_images[0][$j]['image_text']."'></a>";
					}
				}
				$output .= "<br /><a href='index.php?page=gallery&acode=".$result[0][$i]['album_code']."'><span title='".$result[0][$i]['description']."'><b>".$result[0][$i]['name']."</b> (".$result_images[1].")</span></a>";
				$output .= "</td>";
			}
			$output .= "</tr>";
			$output .= "</table>";
		}
		return $output;
	}


	/***
	 *	Get all DataSet array
	 *
	 *  static public function GetAll() { }
	 *	
	 **/
	
	/***
	 *	Add record
	 *
	 *	function AddRecord($params = array()) { 	}
	 *	
	 **/

	/***
	 *	Delete record
	 *
	 *	function DeleteRecord($rid = "") { 	}
	 *	
	 **/
	
	
}
?>