<?php

/**
 * 	Class GalleryAlbums
 *  -------------- 
 *  Description : encapsulates gallery albums properties
 *  Updated	    : 28.04.2010
 *	Written by  : ApPHP
 *
 *	__construct
 *	__destruct
 *	
 **/


class GalleryImages extends MicroGrid {
	
	protected $debug = false;
	
	protected $tableName;
	protected $primaryKey;
	protected $dataSet;

	protected $formActionURL;
	protected $params;
	protected $actions;
	protected $actionIcons;
	protected $errorField;

	protected $languageId;
	protected $allowLanguages;

	protected $VIEW_MODE_SQL;
	protected $EDIT_MODE_SQL;
	protected $DETAILS_MODE_SQL;
	protected $WHERE_CLAUSE;
	protected $ORDER_CLAUSE;
	protected $LIMIT_CLAUSE;

	protected $arrViewModeFields;	
	protected $arrAddModeFields;	
	protected $arrEditModeFields;
	protected $arrDetailsModeFields;	
	
	protected $isPagingAllowed;
	protected $pageSize;

	protected $isSortingAllowed;

	protected $isFilteringAllowed;
	protected $arrFilteringFields;

	public $error;
	static private $static_error = "";
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct() {
		
		$this->SetRunningTime();

		$album           				= MicroGrid::GetParameter('album', false);

		$this->params = array();		
		if(isset($_POST['image_text'])) $this->params['image_text'] = $_POST['image_text'];
		if(isset($_POST['album_code'])) $this->params['album_code'] = $_POST['album_code'];
		if(isset($_POST['priority_order'])) $this->params['priority_order'] = $_POST['priority_order'];
		if(isset($_POST['is_active']))  $this->params['is_active'] = $_POST['is_active']; else $this->params['is_active'] = "0";
		///$this->params['language_id'] 	= MicroGrid::GetParameter('language_id');
	
		$this->primaryKey 	= "id";
		$this->tableName 	= DB_PREFIX."gallery_images";
		$this->dataSet 		= array();
		$this->error 		= "";
		$this->formActionURL = "index.php?admin=mod_gallery_upload_images&album=".$album;
		$this->actions      = array("add"=>true, "edit"=>true, "details"=>true, "delete"=>true);
		$this->actionIcons  = false;

		$this->allowLanguages = false;
		$this->languageId  	= "";
		$this->WHERE_CLAUSE = "WHERE album_code = '".$album."'";		
		$this->ORDER_CLAUSE = "ORDER BY priority_order ASC"; // ORDER BY date_created DESC

		$this->isAlterColorsAllowed = true;

		$this->isPagingAllowed = true;
		$this->pageSize = 10;

		$this->isSortingAllowed = true;

		$this->isFilteringAllowed = false;
		// define filtering fields
		$this->arrFilteringFields = array(
			//"parameter1" => array("title"=>"",  "type"=>"text", "sign"=>"=|like%|%like|%like%", "width"=>"80px"),
			//"parameter2"  => array("title"=>"",  "type"=>"text", "sign"=>"=|like%|%like|%like%", "width"=>"80px"),
		);

		#// prepare languages array		
		#$total_languages = Languages::GetAllActive();
		#$arr_languages      = array();
		#foreach($total_languages[0] as $key => $val){
		#	$arr_languages[$val['abbreviation']] = $val['lang_name'];
		#}

		//---------------------------------------------------------------------- 
		// VIEW MODE
		//---------------------------------------------------------------------- 
		$this->VIEW_MODE_SQL = "SELECT ".$this->primaryKey.",
									image_text,
									priority_order,
									IF(is_active, '<font color=\"#00a600\">"._YES."</font>', '"._NO."') as my_is_active,
									CONCAT('<img src=\"images/gallery_images/', image_file, '\" alt=\"\" width=\"40px\" height=\"30px\" />') as image_file
								FROM ".$this->tableName."";		
		// define view mode fields
		$this->arrViewModeFields = array(
			"image_file"   => array("title"=>_IMAGES, "type"=>"label", "align"=>"center", "width"=>"70px"),
			"image_text"   => array("title"=>_DESCRIPTION, "type"=>"label", "align"=>"left", "width"=>""),
			"my_is_active" => array("title"=>_ACTIVE, "type"=>"label", "align"=>"center", "width"=>"65px"),
			"priority_order" => array("title"=>_ORDER, "type"=>"label", "align"=>"center", "width"=>"10%"),

			// "parameter1"  => array("title"=>"", "type"=>"label", "align"=>"left", "width"=>""),
		);
		
		//---------------------------------------------------------------------- 
		// ADD MODE
		//---------------------------------------------------------------------- 
		// define add mode fields
		$this->arrAddModeFields = array(
			"image_file"   => array("title"=>_IMAGES, "type"=>"image",    "width"=>"210px", "required"=>true, "readonly"=>false, "target"=>"images/gallery_images/"),
			"image_text"   => array("title"=>_DESCRIPTION, "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>false, "readonly"=>false, "validation_type"=>"text"),
			"priority_order" => array("title"=>_ORDER, "type"=>"textbox",  "width"=>"70px", "required"=>true, "readonly"=>false, "validation_type"=>"numeric"),
			"is_active"    => array("title"=>_ACTIVE, "type"=>"checkbox", "readonly"=>false, "default"=>"1", "true_value"=>"1", "false_value"=>"0"),
			"album_code"   => array("title"=>"", "type"=>"hidden",   "required"=>true, "readonly"=>false, "default"=>$album),

			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter4"  => array("title"=>"", "type"=>"hidden",   "required"=>true, "readonly"=>false, "default"=>date("Y-m-d H:i:s")),
			// "parameter5"  => array("title"=>"", "type"=>"enum",     "required"=>true, "readonly"=>false, "width"=>"210px", "source"=>$arr_languages),
			// "parameter6"  => array("title"=>"", "type"=>"checkbox", "readonly"=>false, "true_value"=>"1", "false_value"=>"0"),
			// "parameter7"  => array("title"=>"", "type"=>"image",    "width"=>"210px", "required"=>true, "readonly"=>false, "target"=>"uploaded/"),
			
			//  "separator_X"   =>array(
			//		"separator_info" => array("legend"=>"Legend Text"),
			//		"parameter1"  => array("title"=>"", "type"=>"label"),
			//		"parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//		"parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//  )
		);

		//---------------------------------------------------------------------- 
		// EDIT MODE
		//---------------------------------------------------------------------- 
		$this->EDIT_MODE_SQL = "SELECT
								".$this->primaryKey.",
								album_code,
								image_file,
								image_text,
								priority_order,
								is_active,
								CONCAT('<img src=\"images/gallery_images/', image_file, '\" alt=\"\" width=\"80px\ height=\"60px\"/>') as my_image_file,
								IF(is_active, '"._YES."', '"._NO."') as my_is_active
							FROM ".$this->tableName."
							WHERE ".$this->primaryKey." = _RID_";		
		// define edit mode fields
		$this->arrEditModeFields = array(
			"image_file"   => array("title"=>_IMAGES, "type"=>"image",    "width"=>"210px", "required"=>true, "readonly"=>false, "target"=>"images/gallery_images/"),
			"image_text"   => array("title"=>_DESCRIPTION, "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>false, "readonly"=>false, "validation_type"=>"text"),
			"priority_order" => array("title"=>_ORDER, "type"=>"textbox",  "width"=>"70px", "required"=>true, "readonly"=>false, "validation_type"=>"numeric"),
			"is_active"    => array("title"=>_ACTIVE, "type"=>"checkbox", "readonly"=>false, "true_value"=>"1", "false_value"=>"0"),
			"album_code"   => array("title"=>"", "type"=>"hidden",   "required"=>true, "readonly"=>false, "default"=>$album),
		
			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter4"  => array("title"=>"", "type"=>"hidden",   "required"=>true, "default"=>date("Y-m-d H:i:s")),
			// "parameter5"  => array("title"=>"", "type"=>"enum",     "width"=>"210px", "required"=>true, "readonly"=>false, "source"=>$arr_languages),
			// "parameter6"  => array("title"=>"", "type"=>"checkbox", "readonly"=>false, "true_value"=>"1", "false_value"=>"0"),
			// "parameter7"  => array("title"=>"", "type"=>"image",    "width"=>"210px", "required"=>true, "target"=>"uploaded/"),
		
			//  "separator_X"   =>array(
			//		"separator_info" => array("legend"=>"Legend Text"),
			//		"parameter1"  => array("title"=>"", "type"=>"label"),
			//		"parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//		"parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//  )
		);

		//---------------------------------------------------------------------- 
		// DETAILS MODE
		//----------------------------------------------------------------------
		$this->DETAILS_MODE_SQL = $this->EDIT_MODE_SQL;
		$this->arrDetailsModeFields = array(
			"my_image_file"  => array("title"=>_IMAGES, "type"=>"label"),
			"image_text"     => array("title"=>_DESCRIPTION, "type"=>"label"),
			"priority_order" => array("title"=>_ORDER, "type"=>"label"),
			"my_is_active"   => array("title"=>_ACTIVE, "type"=>"label"),

			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"label"),
			// "parameter3"  => array("title"=>"", "type"=>"label"),
			// "parameter4"  => array("title"=>"", "type"=>"image", "target"=>"uploaded/"),
		);

	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }


	/***
	 *	Get all DataSet array
	 *
	 *  static public function GetAll() { }
	 *	
	 **/
	
	/***
	 *	Add record
	 *
	 *	function AddRecord($params = array()) { 	}
	 *	
	 **/

	/***
	 *	Delete record
	 *
	 *	function DeleteRecord($rid = "") { 	}
	 *	
	 **/
	
	
}
?>