<?php

/**
 *	PostsGrid
 *  -------------- 
 *	Written by  : ApPHP
 *  Updated	    : 05.04.2010
 *	Written by  : ApPHP
 *	Version     : 1.0.1
 *
 *
 *	NOTES:
 *	1.	for fiels and images "target"=>"" must be relative path to the site's directory
 *	
 **/


class PostsGrid extends MicroGrid {
	
	protected $debug = false;
	
	protected $tableName;
	protected $primaryKey;
	protected $dataSet;

	protected $formActionURL;
	protected $params;
	protected $actions;
	protected $actionIcons;

	protected $allowLanguages;

	protected $VIEW_MODE_SQL;
	protected $EDIT_MODE_SQL;
	protected $DETAILS_MODE_SQL;
	protected $WHERE_CLAUSE;
	protected $ORDER_CLAUSE;
	protected $LIMIT_CLAUSE;

	protected $arrViewModeFields;	
	protected $arrAddModeFields;	
	protected $arrEditModeFields;
	protected $arrDetailsModeFields;	
	
	protected $isPagingAllowed;
	protected $postSize;

	protected $isSortingAllowed;

	protected $isFilteringAllowed;
	protected $arrFilteringFields;

	public $error;
	static private $static_error = "";
	
	private $arr_tags = array();
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($author_type = "author", $author_id = "0") {
		
		$this->SetRunningTime();

		$this->params = array();		
		///if(isset($_POST['parameter1']))   $this->params['parameter1'] = $_POST['parameter1'];
		///if(isset($_POST['parameter2']))   $this->params['parameter2'] = $_POST['parameter2'];
		///if(isset($_POST['parameter3']))   $this->params['parameter3'] = $_POST['parameter3'];
		// for checkboxes 
		///if(isset($_POST['parameter4']))   $this->params['parameter4'] = $_POST['parameter4']; else $this->params['parameter4'] = "0";
		///$this->params['language_id'] 	  = MicroGrid::GetParameter('language_id');
	
		$this->primaryKey 	= "id";
		$this->tableName 	= DB_PREFIX."posts";
		$this->dataSet 		= array();
		$this->error 		= "";
		$this->formActionURL = "index.php?admin=posts";
		$this->actions      = array("add"=>false, "edit"=>false, "details"=>false, "delete"=>false);
		$this->actionIcons  = false;

		$this->allowLanguages = false;
		if($author_type == "author") $this->WHERE_CLAUSE = "WHERE author_id = ".(int)$author_id; //"WHERE ";
		else $this->WHERE_CLAUSE = "";

		$this->ORDER_CLAUSE = "ORDER BY posted_at DESC"; // ORDER BY date_created DESC
		
		$this->isAlterColorsAllowed = true;

		$this->isPagingAllowed = true;
		$this->pageSize = 20;

		$this->isSortingAllowed = true;

		$this->isFilteringAllowed = true;

		$total_categories = Categories::GetAllActive();		
		$arr_categories   = array();
		foreach($total_categories[0] as $key => $val){
			$arr_categories[$val['id']] = $val['category_name'];
		}
		
		$total_tags = Tags::GetAll();
		foreach($total_tags[0] as $key => $val){
			$this->arr_tags[$val['tag_name']] = $val['tag_name']." (".$val['total'].")";
		}		
		
		// define filtering fields
		$this->arrFilteringFields = array(
			_HEADER    => array("table"=>$this->tableName, "field"=>"post_title", "type"=>"text", "sign"=>"like%", "width"=>"80px"),
			_CATEGORY  => array("table"=>$this->tableName, "field"=>"category_id", "type"=>"dropdownlist", "source"=>$arr_categories, "sign"=>"=", "width"=>"110px"),
			_TAG     => array("table"=>$this->tableName, "field"=>"tags", "type"=>"dropdownlist", "source"=>$this->arr_tags, "sign"=>"%like%", "width"=>"110px"),
			
			// "Caption_1"  => array("table"=>"", "field"=>"", "type"=>"text", "sign"=>"=|like%|%like|%like%", "width"=>"80px"),
			// "Caption_2"  => array("table"=>"", "field"=>"", "type"=>"dropdownlist", "source"=>array(), "sign"=>"=|like%|%like|%like%", "width"=>"130px"),
		);

		// prepare languages array		
		#$total_languages = Languages::GetAllActive();
		#$arr_languages      = array();
		#foreach($total_languages[0] as $key => $val){
		#	$arr_languages[$val['abbreviation']] = $val['lang_name'];
		#}

		//---------------------------------------------------------------------- 
		// VIEW MODE
		//---------------------------------------------------------------------- 
		$this->VIEW_MODE_SQL = "SELECT ".$this->tableName.".".$this->primaryKey.",
									".$this->tableName.".post_key,
									".$this->tableName.".post_title,
									".$this->tableName.".post_text,
									".$this->tableName.".category_id,
									".$this->tableName.".comments_allowed,
									".$this->tableName.".tags,
									DATE_FORMAT(".$this->tableName.".posted_at, '%b %d, %Y %h:%i %p') as posted_at_formatted,
									CONCAT('<img src=\"images/', IF(".$this->tableName.".is_published, \"published_g.gif\", \"published_x.gif\"), '\" alt=\"\" />') as is_published,
									IF(".DB_PREFIX."categories.category_name != '', ".DB_PREFIX."categories.category_name, '"._NOT_AVAILABLE."') as category_name,
									CASE
										WHEN ".$this->tableName.".is_published THEN 
											CONCAT('<a href=\"index.php?page=posts&post_id=', ".$this->tableName.".".$this->primaryKey.", '&preview=yes\" target=\"_blank\">"._VIEW_WORD."</a> | <a href=\"index.php?admin=posts_edit&pid=', ".$this->tableName.".".$this->primaryKey.", '\">"._EDIT_WORD."</a> | <a href=\"javascript:confirmDeleting(\'', ".$this->tableName.".".$this->primaryKey.", '\')\">"._DELETE_WORD."</a>')
										ELSE
											CONCAT('<a href=\"index.php?admin=posts_edit&pid=', ".$this->tableName.".".$this->primaryKey.", '\">"._EDIT_WORD."</a> | <a href=\"javascript:confirmDeleting(\'', ".$this->tableName.".".$this->primaryKey.", '\')\">"._DELETE_WORD."</a>')
									END as action_links,
									IF(".DB_PREFIX."accounts.user_name != '', ".DB_PREFIX."accounts.user_name, 'Unknown') as author_name,
									CASE
										WHEN ".$this->tableName.".comments_allowed = 1 THEN
											(SELECT COUNT(*) FROM ".DB_PREFIX."comments c WHERE c.article_id = ".$this->tableName.".".$this->primaryKey.")
										ELSE
											'<font color=#b1b1b1>"._NOT_ALLOWED."</font>'
									END  as comments_count
									
								FROM ".$this->tableName."
									LEFT OUTER JOIN ".DB_PREFIX."accounts ON ".$this->tableName.".author_id = ".DB_PREFIX."accounts.id								
									LEFT OUTER JOIN ".DB_PREFIX."categories ON ".$this->tableName.".category_id = ".DB_PREFIX."categories.id								
								";		
		// define view mode fields
		$this->arrViewModeFields = array(
			"post_title"    => array("title"=>_PAGE_HEADER, "type"=>"label", "align"=>"left", "width"=>"", "maxlength"=>"20"),
			"posted_at_formatted" => array("title"=>_POSTED_ON, "type"=>"label", "align"=>"center", "width"=>""),
			"category_name" => array("title"=>_CATEGORY, "type"=>"label", "align"=>"center", "width"=>""),
			"is_published"  => array("title"=>_PUBLISHED, "type"=>"label", "align"=>"center", "width"=>""),
			"comments_count" => array("title"=>_COMMENTS, "type"=>"label", "align"=>"center", "width"=>""),
			// "parameter1"  => array("title"=>"", "type"=>"label", "align"=>"left", "width"=>""),
		);
		if($author_type != "author"){
			$this->arrViewModeFields["author_name"] = array("title"=>_AUTHOR, "type"=>"label", "align"=>"center", "width"=>"");
		}
		$this->arrViewModeFields["action_links"] = array("title"=>_ACTIONS, "type"=>"label", "align"=>"center", "width"=>"17%");
		
		//---------------------------------------------------------------------- 
		// ADD MODE
		//---------------------------------------------------------------------- 
		// define add mode fields
		$this->arrAddModeFields = array(

			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter4"  => array("title"=>"", "type"=>"hidden",   "required"=>true, "readonly"=>false, "default"=>date("Y-m-d H:i:s")),
			// "parameter5"  => array("title"=>"", "type"=>"enum",     "required"=>true, "readonly"=>false, "width"=>"210px", "source"=>$arr_languages),
			// "parameter6"  => array("title"=>"", "type"=>"checkbox", "readonly"=>false, "default"=>"1", "true_value"=>"1", "false_value"=>"0"),
			// "parameter7"  => array("title"=>"", "type"=>"image",    "width"=>"210px", "required"=>true, "readonly"=>false, "target"=>"uploaded/"),
			// "language_id"  => array("title"=>_LANGUAGE,     "type"=>"enum", "source"=>$arr_languages, "required"=>true),
			
			//  "separator_X"   =>array(
			//		"separator_info" => array("legend"=>"Legend Text"),
			//		"parameter1"  => array("title"=>"", "type"=>"label"),
			//		"parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//		"parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//  )
		);

		//---------------------------------------------------------------------- 
		// EDIT MODE
		//---------------------------------------------------------------------- 
		$this->EDIT_MODE_SQL = "SELECT
								".$this->tableName.".".$this->primaryKey.",
								".$this->tableName.".parameter1,
								".$this->tableName.".parameter2,
								".$this->tableName.".parameter3
							FROM ".$this->tableName."
							WHERE ".$this->tableName.".".$this->primaryKey." = _RID_";		
		// define edit mode fields
		$this->arrEditModeFields = array(
		
			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"310px", "height"=>"90px", "required"=>true, "readonly"=>false, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter4"  => array("title"=>"", "type"=>"hidden",   "required"=>true, "default"=>date("Y-m-d H:i:s")),
			// "parameter5"  => array("title"=>"", "type"=>"enum",     "width"=>"210px", "required"=>true, "readonly"=>false, "source"=>$arr_languages),
			// "parameter6"  => array("title"=>"", "type"=>"checkbox", "readonly"=>false, "default"=>"1", "true_value"=>"1", "false_value"=>"0"),
			// "parameter7"  => array("title"=>"", "type"=>"image",    "width"=>"210px", "required"=>true, "target"=>"uploaded/"),
		
			//  "separator_X"   =>array(
			//		"separator_info" => array("legend"=>"Legend Text"),
			//		"parameter1"  => array("title"=>"", "type"=>"label"),
			//		"parameter2"  => array("title"=>"", "type"=>"textbox",  "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//		"parameter3"  => array("title"=>"", "type"=>"textarea", "width"=>"210px", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			//  )
		);

		//---------------------------------------------------------------------- 
		// DETAILS MODE
		//----------------------------------------------------------------------
		$this->DETAILS_MODE_SQL = $this->EDIT_MODE_SQL;
		$this->arrDetailsModeFields = array(

			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"label"),
			// "parameter3"  => array("title"=>"", "type"=>"label"),
			// "parameter4"  => array("title"=>"", "type"=>"image", "target"=>"uploaded/"),
		);

	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }

	function RefreshFilterData(){
		$total_tags = Tags::GetAll();
		foreach($total_tags[0] as $key => $val){
			$this->arr_tags[$val['tag_name']] = $val['tag_name']." (".$val['total'].")";
		}		
	}


	/***
	 *	Get all DataSet array
	 *
	 *  static public function GetAll() { }
	 *	
	 **/
	
	/***
	 *	Add record
	 *
	 *	function AddRecord($params = array()) { 	
	 *
	 *		function PreAddRecord(){
	 *
	 *		}
	 *
	 *
	 *		function PostAddRecord(){
	 *
	 *		}
	 *
	 *	}
	 *	
	 **/

	/***
	 *	Update record
	 *
	 *	function UpdateRecord($params = array()) { 	}
	 *
	 *	function PostUpdateRecord(){
	 *
	 *	}
	 *	
	 **/
	
	/***
	 *	Delete record
	 *
	 *	function DeleteRecord($rid = "") { 	}
	 *
	 *	
	 **/

	
}
?>