<?php

/**
 *	Class Tags
 *  -------------- 
 *  Description : encapsulates Tags properties
 *  Updated	    : 15.06.2010
 *	Written by  : ApPHP
 *	
 **/

class Tags {
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($account = 0)
	{

	}

	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }

	static public function GetAll()
	{
		$sql = "SELECT tag_name, SUM(tag_count) as total FROM ".DB_PREFIX."tags GROUP BY tag_name";
		$result = database_query($sql, DATA_AND_ROWS, ALL_ROWS);
		return  $result;
	}

	static public function AddTags($tags_parts = array())
	{		
		$tags_parts = array_unique($tags_parts);
		foreach($tags_parts as $tag){
			$tag = trim($tag);
			if($tag != ""){
				$sql = "SELECT * FROM ".DB_PREFIX."tags WHERE tag_name = '".$tag."'";
				if((int)database_query($sql, ROWS_ONLY) > 0){
					$sql = "UPDATE ".DB_PREFIX."tags SET tag_count = tag_count + 1 WHERE tag_name = '".$tag."'";
					database_void_query($sql);
				}else{
					$sql = "INSERT INTO ".DB_PREFIX."tags(id, tag_name, tag_count) VALUES (NULL, '".$tag."', 1)";
					database_void_query($sql);							
				}				
			}
		}
	}

	static public function UpdateTags($old_tags_parts = array(), $tags_parts = array())
	{
		$tags_parts = array_unique($tags_parts);
		foreach($tags_parts as $tag){
			$tag = trim($tag);
			if($tag != ""){
				$sql = "SELECT * FROM ".DB_PREFIX."tags WHERE tag_name = '".$tag."'";
				if((int)database_query($sql, ROWS_ONLY) > 0 && !in_array($tag, $old_tags_parts)){
					$sql = "UPDATE ".DB_PREFIX."tags SET tag_count = tag_count + 1 WHERE tag_name = '".$tag."'";
					database_void_query($sql);					
				}else if((int)database_query($sql, ROWS_ONLY) <= 0){
					$sql = "INSERT INTO ".DB_PREFIX."tags(id, tag_name, tag_count) VALUES (NULL, '".$tag."', 1)";
					database_void_query($sql);							
				}
			}
		}
		$tags_diff = array_diff($old_tags_parts, $tags_parts);
		self::DeleteTags($tags_diff);
	}

	static public function DeleteTags($tags_parts = array())
	{		
		foreach($tags_parts as $tag){
			$tag = trim($tag);
			if($tag != ""){
				$sql = "UPDATE ".DB_PREFIX."tags SET tag_count = tag_count - 1 WHERE tag_name = '".$tag."'";
				database_void_query($sql);
			}
		}
		$sql = "DELETE FROM ".DB_PREFIX."tags WHERE tag_count <= 0";
		database_void_query($sql);
	}

	static public function DrawCloud($is_draw = true)
	{
		global $objSettings;
		$text_align = ($objSettings->GetDirection() == "ltr") ? "text-align: left;" : "text-align: right; padding-right:15px;";
		$max_tags = 25;

		$output = "<table class='moduletable' width='100%' border='0' cellspacing='0' cellpadding='0'>";
		$output .= "<tr><th valign='top' style='".$text_align."'>".strtoupper(_TAGS_CLOUD)."</th></tr>";
		$output .= "<tr><td valign='top' style='padding:7px 15px 9px 15px;'>";

		$output .= "<ul id='cloud'>";

		$sql = "SELECT MAX(tag_count) as max FROM ".DB_PREFIX."tags";
		$result = database_query($sql, DATA_AND_ROWS, FIRST_ROW_ONLY);
		$max = ($result[1] > 0 && $result[0]['max'] > 0) ? $result[0]['max'] : 1;
		
		$sql = "SELECT tag_name, tag_count, (tag_count / ".$max.") as total FROM ".DB_PREFIX."tags GROUP BY tag_name ORDER BY total DESC LIMIT 0, ".$max_tags;
		$result = database_query($sql, DATA_AND_ROWS, ALL_ROWS);
		
		$numbers = range(0, $max_tags-1);
		shuffle($numbers);
		foreach ($numbers as $number) {
			$ind = $number;
			if(isset($result[0][$ind])){
				$output .= "<li><a href='index.php?page=posts&tag=".urlencode($result[0][$ind]['tag_name'])."' class='tag".floor($result[0][$ind]['total']*10)."' title='".$result[0][$ind]['tag_count']."'>".$result[0][$ind]['tag_name']."</a></li>";				
			}
		}
	
		$output .= "</ul>";
		$output .= "</td></tr>";
		$output .= "</table>";			
		
		if($is_draw = true){
			echo $output;			
		}else{
			return $output;			
		}
	}


}

?>