<?php

// GLOBAL FUNCTIONS 17.01.2010

/**
 * 	Creates a random string with characters 1-10 and a-z
 * 		@param length - the length of the random string 	
 **/
function random_string($length = 10)
{
	$rand_string = "";
	for ($i = 0; $i < $length; $i++) {
		$x = mt_rand(0, 35);
		if ($x > 9) $rand_string .= chr($x + 87);
		else $rand_string .= $x;
	}
	return $rand_string;
}

/**
 *	Draws messages 
 *  	@param $message - message text
 *      @param $is_draw
 **/
function draw_message($message, $is_draw=true, $bullet = false, $br = false, $style="")
{
	if (!empty($message)) $message = "<table align='center' class='message_box' style='".$style."' border='0' cellspacing='1' cellpadding='1'><tr>".(($bullet) ? "<td class='message_sign'><img src='images/attention_sign.gif' alt='' border='0' />" : "<td>&nbsp;")."</td><td class='message_text'>".$message."</td></tr></table>".(($br == true) ? "<br>" : "");
	if(!$is_draw) return $message;
	else echo $message;	
}

/**
 *	Draws important messages 
 *  	@param $message - message text
 *      @param $is_draw
 **/
function draw_important_message($message, $is_draw=true, $bullet = false, $br = false, $style="")
{
	if (!empty($message)) $message = "<table align='center' class='important_message_box' style='".$style."' border='0' cellspacing='1' cellpadding='1'><tr><td class='message_sign'><img src='images/error_sign.gif' alt=''></td><td class='message_text'>" . $message . "</td></tr></table>".(($br == true) ? "<br>" : "");
	if(!$is_draw) return $message;
	else echo $message;	
}

/**
 *	Draws success messages 
 *  	@param $message - message text
 *      @param $is_draw
 **/
function draw_success_message($message, $is_draw=true, $bullet = false, $br = false, $style="")
{
	if(!empty($message)) $message = "<table align='center' class='success_message_box' style='".$style."' border='0' cellspacing='1' cellpadding='1'><tr><td class='message_sign'><img src='images/success_sign.gif' alt=''></td><td class='message_text'>" . $message . "</td></tr></table>".(($br == true) ? "<br>" : "");
	if(!$is_draw) return $message;
	else echo $message;	
}

/**
 *	Draws title bar
 *  	@param $title
 *  	@param $class
 *      @param $template
 **/
function draw_title_bar($title, $draw = true)
{
	$output = "";
	if (!empty($title)){
		$output = "<h2 class='center_box_heading'>".$title."</h2>";
	}
	if($draw) echo $output;
	else return $output;
}

/**
 *	Draws sub title bar
 *  	@param $title
 *  	@param $class
 *      @param $template
 **/
function draw_sub_title_bar($title, $draw = true)
{
	$output = "";	
	if (!empty($title)){
		$output = "<h3 class='center_box_sub_heading'><span>".$title."</span></h3>";
	}
	if($draw) echo $output;
	else return $output;
}

/**
 *	Draws content wrapper - start
 **/
function draw_content_start()
{
	echo "<div class='center_box_content'>";
}

/**
 *	Draws content wrapper - end
 **/
function draw_content_end()
{
	echo "</div>";
}

/**
 *	Draws line
 *  	@param $class
 *  	@param $image_directory
 **/
function draw_line($class = "no_margin_line", $image_directory = IMAGE_DIRECTORY, $draw = true)
{
	$result = "<div class='".$class."'><img src='" . $image_directory . "line_spacer.gif' width='100%' height='1px' alt='' /></div>";
	if($draw) echo $result;
	else return $result;
}

/**
 *	Highlight rows
 *  	@param $offset
 **/
function highlight($offset = 1)
{
	if (!isset($GLOBALS['highlight_count'])) reset_highlight();
	if (($GLOBALS['highlight_count'] + $offset) % 2  == 0) $highlight = " class='highlight_light'";
	else $highlight = " class='highlight_dark'";
	$GLOBALS['highlight_count']++;
	return $highlight;
}

/**
 *	Reset highlighting rows
 **/
function reset_highlight()
{
	$GLOBALS['highlight_count'] = 0;
}

/**
 *  Draws dropdown box with numbers
 *  Output 'select' tag with its field name, values and default value(for numeric fields)
 *  	@param $field_name
 *  	@param $field_value
 *  	@param $start
 *      @param $end
 *  	@param $step
 *  	@param $class
 **/
function draw_numbers_select_field($field_name, $field_value, $start, $end, $step = 1, $class = "")
{
	echo "<select name='$field_name' class='$class'>";
	$options = "";
	for ($i = $start; $i <= $end; $i = $i + $step) {
		$options .= "<option value='" . $i . "' ";
		$options .= ($i == $field_value) ? "selected='selected' " : "";
		$options .= ">" . $i . "</option>";
	}
	if($options=="")$options .= "Not Available";
	echo "$options</select>";
}


/**
 *  Get random string
 *  	@param $length
 **/
function get_random_string($length = 20)
{
	$template = "1234567890abcdefghijklmnopqrstuvwxyz";
	settype($template, "string");
	settype($length, "integer");
	settype($rndstring, "string");
	settype($a, "integer");
	settype($b, "integer");           
	for ($a = 0; $a <= $length; $a++) {
		$b = rand(0, strlen($template) - 1);
		$rndstring .= $template[$b];
	}       
	return $rndstring;       
}


/**
 *  Draw hidden fields
 *  	@param $field_name
 *  	@param $field_value
 **/
function draw_hidden_field($field_name, $field_value = "")
{
	echo "<input type='hidden' name='$field_name' id='$field_name' value='$field_value' />";
}


/**
 *  Draw top block 
 **/
function draw_block_top($block_name = "", $ind = "", $status = "maximized")
{
	global $STYLE_, $login;
	$block_top_image = "";
	$block_middle_image = "";

	echo "<DIV class='left_box_container' id='categories' style='width:195px;'>";
	if($login->IsLoggedIn()){
		if($ind != ""){
			echo "<H3 class='left_box_heading_admin' id='categoriesHeading' onclick='toggle_menu_block(".$ind.")'>".$block_name."</H3>";
		}else{
			echo "<H3 class='left_box_heading_admin' id='categoriesHeading'>".$block_name."</H3>";
		}
	}else{
		echo "<H3 class='left_box_heading' id='categoriesHeading'>".$block_name."</H3>";
	}
	if($login->IsLoggedIn()){
		$display = (isset($_COOKIE['side_box_content_'.$ind]) && ($_COOKIE['side_box_content_'.$ind] == "maximized")) ? "" : "none";
		if($display == "" && $status == "maximized") $display = "";
	}else{
		$display = "";
	}
	echo "<DIV id='side_box_content_".$ind."' class='side_box_content' style='display:".$display.";'>";				

	//if($STYLE_['block_top_image'] != "") $block_top_image = "height: 12px; background-image: url(images/".$STYLE_['block_top_image']."); background-repeat: no-repeat;";
	//if($STYLE_['block_middle_image'] != "") $block_middle_image = "background-image: url(images/".$STYLE_['block_middle_image']."); background-repeat: repeat-y;";
}

/**
 *  Draw top enpty block 
 **/
function draw_block_top_empty()
{
	echo "<DIV class='left_box_container' id='categories' style='width: 195px; padding-left:0px; padding-top:5px; padding-bottom:0px;'>
		  <DIV class='side_box_content'>";				
}


/**
 *  Draw bottom block 
 **/
function draw_block_bottom()
{
	global $STYLE_;
	$block_bottom_image = "";
	
	//if($STYLE_['block_bottom_image'] != "") $block_bottom_image = "height: 12px; background-image: url(images/".$STYLE_['block_bottom_image']."); background-repeat: no-repeat;";

    
	echo "</div>";
	echo "</div>";
}

/**
 *  Draw block footer 
 **/
function draw_block_footer()
{
	echo "<div>&nbsp;</div>";
}

/**
 *  Retuerns divider image
 **/
function get_divider()
{
	return "<img src='images/divider.gif' width='1px' height='9px' alt='' />";
}

/**
 *  Camel Case
 *  	@param $string
 **/
function camel_case($string, $lang = "en")
{
	if($lang == "en"){
		$arr_temp = explode(" ",$string);
		for($i=0;$i<count($arr_temp);$i++){
			$arr_temp[$i] = ucfirst($arr_temp[$i]);
		}
		$str = implode(" ",$arr_temp);
	}else{
		$str = $string;
	}
	return $str;			
}

/**
 *  Create SEO url from string
 *  	@param $string
 **/
function create_seo_url($string = "")
{
	$forbidden_simbols = array("\\", '"', "'", "(", ")", "[", "]", "*", ".", ",", "&", ";", ":", "&amp;", "?", "!", "=");

	$string = str_replace($forbidden_simbols, "", $string);
	$splitted_string = explode(" ", $string);
	$seo_url = "";
	$words_counter = 0;
	foreach($splitted_string as $key){
		if(trim($key) != ""){
			if($words_counter++ < 6){
				$seo_url .= ($seo_url != "") ? "-".$key : $key;   
			}else{
				break;   
			}               
		}           
	}
	return $seo_url;
}

/**
 *  Get base URL 
 **/
function get_base_url()
{
	$protocol = "http://";
	$port = "";
	$http_host = $_SERVER['HTTP_HOST'];
	if((isset($_SERVER['HTTPS']) && (strtolower($_SERVER['HTTPS']) != "off")) ||
		strtolower(substr($_SERVER['SERVER_PROTOCOL'], 0, 5)) == "https"){
		$protocol = "https://";
	}	
	if(isset($_SERVER['SERVER_PORT']) && $_SERVER['SERVER_PORT'] != "80"){
        if(!strpos($_SERVER['HTTP_HOST'], ":")){
			$port = ":".$_SERVER['SERVER_PORT'];
		}
	}	
	$folder = substr($_SERVER['SCRIPT_NAME'], 0, strrpos($_SERVER['SCRIPT_NAME'], "/")+1);	
	return $protocol.$http_host.$port.$folder;
}

/**
 *  Get page URL 
 **/
function get_page_url() {
	$protocol = "http://";
	$port = "";
	$http_host = $_SERVER['HTTP_HOST'];
	if((isset($_SERVER['HTTPS']) && (strtolower($_SERVER['HTTPS']) != "off")) ||
		strtolower(substr($_SERVER['SERVER_PROTOCOL'], 0, 5)) == "https"){
		$protocol = "https://";
	}	
	if(isset($_SERVER['SERVER_PORT']) && $_SERVER['SERVER_PORT'] != "80"){
        if(!strpos($_SERVER['HTTP_HOST'], ":")){
			$port = ":".$_SERVER['SERVER_PORT'];
		}
	}	
	//$folder = substr($_SERVER['SCRIPT_NAME'], 0, strrpos($_SERVER['SCRIPT_NAME'], "/")+1);
	$uri = $_SERVER["REQUEST_URI"];
	if(isset($_GET['p'])){
		$uri = str_replace("&p=".$_GET['p'], "", $uri);
	}
	return $protocol.$port.$http_host.$uri;
}

/**
 *  Read subfolders of directory
 **/
function read_directory_subfolders($dir = "."){
	$folder=dir($dir); 
	$arrFolderEntries = array();
	while($folderEntry=$folder->read()){
		if($folderEntry != '.' && $folderEntry != '..' && is_dir($dir.$folderEntry) && strtolower($folderEntry) != "admin") 
			$arrFolderEntries[] = $folderEntry; 
	}     
	$folder->close(); 
	return $arrFolderEntries;
}

/**
 *  Check email address
 *  	@param $email
 **/
function check_email_address($email) {
	$strict = false;
	$regex = $strict ? '/^([.0-9a-z_-]+)@(([0-9a-z-]+\.)+[0-9a-z]{2,4})$/i' :  '/^([*+!.&#$\'\\%\/0-9a-z^_`{}=?~:-]+)@(([0-9a-z-]+\.)+[0-9a-z]{2,4})$/i';
	if (preg_match($regex, trim($email))) {
	   return true;
	} else {
	   return false;
	}    
}

/**
 *  Cut string by last word
 **/
function substr_by_word($text, $length = "0")
{
	$text = substr($text, 0, (int)$length);
	$blank_pos = strrpos($text, " ");
	if($blank_pos > 0) $text = substr($text, 0, $blank_pos);
	return $text;	
}

/**
 *  Get current IP
 **/
function get_current_ip()
{
	if (isset($_SERVER['HTTP_X_FORWARD_FOR']) && $_SERVER['HTTP_X_FORWARD_FOR']) { 
		$user_ip = $_SERVER['HTTP_X_FORWARD_FOR'];
	} else {
		$user_ip = $_SERVER['REMOTE_ADDR'];
	}
	return $user_ip;
}

function format_date($last_login_time, $format = "M d, Y g:i A"){
    $last_login = mktime(substr($last_login_time, 11, 2), substr($last_login_time, 14, 2),
                        substr($last_login_time, 17, 2), substr($last_login_time, 5, 2),
                        substr($last_login_time, 8, 2), substr($last_login_time, 0, 4));
    if($last_login_time != ""){
        return date($format, $last_login);
    }else return "";
}

function format_datetime($last_login_time){
    $last_login = mktime(substr($last_login_time, 11, 2), substr($last_login_time, 14, 2),
                        substr($last_login_time, 17, 2), substr($last_login_time, 5, 2),
                        substr($last_login_time, 8, 2), substr($last_login_time, 0, 4));
    if($last_login_time != ""){
        return date("M d, Y g:i A", $last_login);
    }else return "";
}

function is_positive_numeric($field = ""){	
	if($field == strval(intval($field))){
		if($field > 0){
			return true;
		}
	}
	return false;
}

function prepare_input($input, $level = "high", $validation_type = "", $possible_values = "", $escape = false){
	$output = $input;
	if($level == "high"){
		$output = strip_tags($input);
		$output = str_replace(array("'", '"'), "", $input);	
	}
	if($level == "medium"){
		$output = strip_tags($input);
	}
	
	if($validation_type != ""){
		// put here code for validation
	}
	
	if($escape){
		if(!get_magic_quotes_gpc()){
			$output = addslashes($output); 
		}		
	}
	
	if(is_array($possible_values) && !empty($possible_values)){
		if(in_array($output)) return $output;
		else return "";
	}
	return $output;
}

/**
 * Prepares alpha numeric input
 * @param $field
 */
function prepare_input_alphanumeric($field = '')
{
	$field = (string)$field;
	
	if(preg_match('/[^a-zA-z0-9_\-\.]/', $field)){
		return '';
	}else{
		return $field;
	}
}

function check_input($input, $level = "medium"){
	
	if($input == "") return true;
	
    $error = 0;
	$bad_string = array("%20union%20", "/*", "*/union/*", "+union+", "load_file", "outfile", "document.cookie", "onmouse", "<script", "<iframe", "<applet", "<meta", "<style", "<form", "<img", "<body", "<link", "_GLOBALS", "_REQUEST", "_GET", "_POST", "include_path", "prefix", "http://", "https://", "ftp://", "smb://" );
	foreach($bad_string as $string_value){
		if(strstr($input, $string_value)) $error = 1;
	}
	
	if((preg_match("/<[^>]*script*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*object*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*iframe*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*applet*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*meta*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*style*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*form*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*img*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*onmouseover*\"?[^>]*>/i", $input)) ||
		(preg_match("/<[^>]*body*\"?[^>]*>/i", $input)) ||
		(preg_match("/\([^>]*\"?[^)]*\)/i", $input)) || 
		(preg_match("/ftp:\/\//i", $input)) || 
		(preg_match("/https:\/\//i", $input)) || 
		(preg_match("/http:\/\//i", $input)) )
	{		
		$error = 1;
	}
	
	$ss = $_SERVER['HTTP_USER_AGENT'];
	
	if ((preg_match("/libwww/i",$ss)) ||
	    (preg_match("/^lwp/i",$ss))  ||
	    (preg_match("/^Jigsaw/i",$ss)) ||
	    (preg_match("/^Wget/i",$ss)) ||
	    (preg_match("/^Indy\ Library/i",$ss)) )
	{ 
	    $error = 1;
	}
	
	if ($_SERVER["REQUEST_METHOD"] == "POST"){
		if (!empty($_SERVER['HTTP_REFERER'])){
			if (!preg_match("/".$_SERVER['HTTP_HOST']."/i", $_SERVER['HTTP_REFERER'])) $error = 1;
		}
	}
    if($error){
        return false;
    }
	return true;
}

function convert_to_decimal($number)
{
	return (($number < 0) ? "-" : "").((abs($number) < 10) ? "0" : "").abs($number);
}

function redirect_to($page = "", $delay = ""){
	if($delay == ""){
		header("location: index.php".(($page != "") ? $page : ""));
		exit;		
	}else{
		echo "<script>setTimeout(\"document.location.href='index.php".(($page != "") ? $page : "")."'\", ".(int)$delay.");</script>";
	}
}


/***
 *	Get encoded text
 *		@param $string
 **/
function encode_text($string = "")
{
	$search	 = array("\\","\0","\n","\r","\x1a","'",'"');
	$replace = array("\\\\","\\0","\\n","\\r","\Z","\'",'\"');
	return str_replace($search, $replace, $string);
}

/***
 *	Get decoded text
 *		@param $string
 **/
function decode_text($string = "", $code_quotes = true)
{
	if($code_quotes){
		$single_quote = "&#039;";
		$double_quote = "&#034;";	
	}else{
		$single_quote = "'";
		$double_quote = '"';		
	}
	
	$search = array("\\\\","\\0","\\n","\\r","\Z","\'",'\"','"',"'");
	$replace	 = array("\\","\0","\n","\r","\x1a",$single_quote,$double_quote,$double_quote,$single_quote);
	return str_replace($search, $replace, $string);
}
