<?php
################################################################################
##              -= YOU MAY NOT REMOVE OR CHANGE THIS NOTICE =-                 #
## --------------------------------------------------------------------------- #
##  ApPHP MicroBlog Basic version 1.0.2                                        #
##  Developed by:  ApPHP <info@apphp.com>                                      #
##  License:       GNU LGPL v.3                                                #
##  Site:          http://www.apphp.com/php-microblog/                         #
##  Copyright:     ApPHP MicroBlog (c) 2009 - 2010. All rights reserved.       #
##                                                                             #
##  Additional modules (embedded):                                             #
##  -- openWYSIWYG v1.4.7 (free cross-browser)          http://openWebWare.com #
##  -- ApPHP Easy Installer v2.0.5 (installation module)      http://apphp.com #
##  -- ApPHP Tabs v2.0.3 (tabs menu control)        		  http://apphp.com #
##  -- Crystal Project Icons (icons set)               http://www.everaldo.com #
##  -- Securimage v1.0.2 (captcha script)            http://www.phpcaptcha.org #
##  -- Lytebox v3.22                             http://www.dolem.com/lytebox/ #
##                                                                             #
################################################################################

// *** check if database connection parameters file exists
if (!file_exists("include/base.inc.php")) {
	header("location: install.php");
	exit;
}

// *** Remote File Inclusion
// *** Check for strange characters in $_GET keys
// *** All keys with "/" or "\" or ":" are blocked,
//     so it becomes virtually impossible to inject other pages or websites
foreach ($_GET as $get_key => $get_value) {
	if ((preg_match("/\//", $get_value)) ||
		(preg_match("/\[\\\]/", $get_value)) ||
		(preg_match("/:/", $get_value))) {
		eval("unset(\${$get_key});");
		die("A hacking attempt has been detected. For security reasons, we're blocking any code execution.");
	}
}

// *** Set flag that this is a parent file
define("APPHP_EXEC", "access allowed");

require_once("include/base.inc.php");
require_once("include/connection.php");

define('APPHP_BASE', get_base_url());

$page           = !empty($_GET['page']) ? prepare_input($_GET['page']) : "home";
$page_id  		= isset($_REQUEST['pid']) ? prepare_input($_REQUEST['pid']) : "home";
$admin          = !empty($_GET['admin']) ? prepare_input($_GET['admin']) : "";
$req_preview    = !empty($_GET['preview']) ? prepare_input($_GET['preview']) : "";

if($req_preview == "yes" || $req_preview == "no"){
	$preview = $_SESSION['preview'] = $req_preview;
}else if(isset($_SESSION['preview']) && ($_SESSION['preview'] == "yes" || $_SESSION['preview'] == "no")){
	$preview = $_SESSION['preview'];
}else{
	$preview = "";
}

// *** get site style
// -----------------------------------------------------------------------------
$site_style     = ($objSettings->GetTemplate() != "") ? $objSettings->GetTemplate() : DEFAULT_TEMPLATE;
if(@$login->IsLoggedIn() && ($preview != "yes" || $admin != "")) $site_style = "admin";

// *** draw offline message
// -----------------------------------------------------------------------------
if($objSettings->GetParameter("is_offline")){
	if(!@$login->IsLoggedIn() && $admin != "login"){
		echo $objSettings->GetParameter("offline_message");
		exit;
	}
}

// *** use direction of selected language
// -----------------------------------------------------------------------------
$text_direction = ($objSettings->GetDirection() != "") ? $objSettings->GetDirection() : DEFAULT_DIRECTION;
if(!@$login->IsLoggedIn()){
	if($lang_dir != $text_direction) $text_direction = $lang_dir;	
}
$defined_left  = ($text_direction == "ltr") ? "left" : "right";
$defined_right = ($text_direction == "ltr") ? "right" : "left";		

// *** get page parameters
// -----------------------------------------------------------------------------
$objPost = new Posts($page_id);
$tag_title = ($objPost->GetParameter("tag_title") != "") ? $objPost->GetParameter("tag_title") : $objSettings->GetParameter("tag_title");
$tag_keywords = ($objPost->GetParameter("tag_keywords") != "") ? $objPost->GetParameter("tag_keywords") : $objSettings->GetParameter("tag_keywords");
$tag_description = ($objPost->GetParameter("tag_description") != "") ? $objPost->GetParameter("tag_description") : $objSettings->GetParameter("tag_description");

// *** call handlers if exist
// -----------------------------------------------------------------------------
if(($page != "") && file_exists("page/handlers/handler_".$page.".php")) {
	include_once("page/handlers/handler_" . $page . ".php");
} else if (($admin != "") && file_exists("admin/handlers/handler_".$admin.".php")) {
	include_once("admin/handlers/handler_".$admin.".php");
}

// *** get site content
// -----------------------------------------------------------------------------
require_once("themes/".$site_style."/default.php");

echo "\n<!-- This script was generated by ApPHP MicroBlog Basic v.".CURRENT_VERSION." (http://www.apphp.com/php-microblog/) -->";
