﻿DROP TABLE IF EXISTS `<DB_PREFIX>accounts`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>accounts` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `first_name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `last_name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `user_name` varchar(50) CHARACTER SET latin1 NOT NULL,
  `password` varchar(50) CHARACTER SET latin1 NOT NULL,
  `email` varchar(70) CHARACTER SET latin1 NOT NULL,
  `avatar` varchar(50) CHARACTER SET latin1 NOT NULL,
  `about_me` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `show_about_me` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `account_type` enum('admin','author') CHARACTER SET latin1 NOT NULL DEFAULT 'admin',
  `last_login` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=26 ;

INSERT INTO `<DB_PREFIX>accounts` (`id`, `first_name`, `last_name`, `user_name`, `password`, `email`, `avatar`, `about_me`, `show_about_me`, `account_type`, `last_login`, `is_active`) VALUES
(1, 'John', 'Smith', '<USER_NAME>', <PASSWORD>, 'admin@domain.com', 'admin_avatar.png', 'Hi! My name is Jack. I''m a programmer and I like music, sport, computers and many other... Enjoy with my personal blog!', 1, 'admin', '2010-07-08 09:46:00', 1);


DROP TABLE IF EXISTS `<DB_PREFIX>banlist`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>banlist` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ban_ip` varchar(40) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `ban_reason` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ban_ip` (`ban_ip`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=66 ;


DROP TABLE IF EXISTS `<DB_PREFIX>categories`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_name` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `category_order` tinyint(3) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6 ;

INSERT INTO `<DB_PREFIX>categories` (`id`, `category_name`, `category_order`) VALUES
(1, 'Category 1', 1),
(2, 'Category 2', 2);


DROP TABLE IF EXISTS `<DB_PREFIX>comments`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `article_id` int(10) NOT NULL DEFAULT '0',
  `user_id` int(10) NOT NULL DEFAULT '0',
  `user_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `user_email` varchar(70) CHARACTER SET latin1 NOT NULL,
  `comment_text` text COLLATE utf8_unicode_ci NOT NULL,
  `date_published` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `article_id` (`article_id`,`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=21 ;

INSERT INTO `<DB_PREFIX>comments` (`id`, `article_id`, `user_id`, `user_name`, `user_email`, `comment_text`, `date_published`) VALUES
(20, 69, 0, 'Rob', 'rdarton@domain.com', 'That&#039;s cool!', '2010-07-08 10:20:36');


DROP TABLE IF EXISTS `<DB_PREFIX>countries`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>countries` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `abbrv` varchar(2) CHARACTER SET latin1 NOT NULL,
  `name` varchar(70) CHARACTER SET latin1 NOT NULL,
  `priority` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `abbrv` (`abbrv`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=239 ;

INSERT INTO `<DB_PREFIX>countries` (`id`, `abbrv`, `name`, `priority`) VALUES
(1, 'AF', 'Afghanistan', 0),
(2, 'AL', 'Albania', 0),
(3, 'DZ', 'Algeria', 0),
(4, 'AS', 'American Samoa', 0),
(5, 'AD', 'Andorra', 0),
(6, 'AO', 'Angola', 0),
(7, 'AI', 'Anguilla', 0),
(8, 'AQ', 'Antarctica', 0),
(9, 'AG', 'Antigua and Barbuda', 0),
(10, 'AR', 'Argentina', 0),
(11, 'AM', 'Armenia', 0),
(12, 'AW', 'Aruba', 0),
(13, 'AU', 'Australia', 0),
(14, 'AT', 'Austria', 0),
(15, 'AZ', 'Azerbaijan', 0),
(16, 'BS', 'Bahamas', 0),
(17, 'BH', 'Bahrain', 0),
(18, 'BD', 'Bangladesh', 0),
(19, 'BB', 'Barbados', 0),
(20, 'BY', 'Belarus', 0),
(21, 'BE', 'Belgium', 0),
(22, 'BZ', 'Belize', 0),
(23, 'BJ', 'Benin', 0),
(24, 'BM', 'Bermuda', 0),
(25, 'BT', 'Bhutan', 0),
(26, 'BO', 'Bolivia', 0),
(27, 'BA', 'Bosnia and Herzegowina', 0),
(28, 'BW', 'Botswana', 0),
(29, 'BV', 'Bouvet Island', 0),
(30, 'BR', 'Brazil', 0),
(31, 'IO', 'British Indian Ocean Territory', 0),
(32, 'VG', 'British Virgin Islands', 0),
(33, 'BN', 'Brunei Darussalam', 0),
(34, 'BG', 'Bulgaria', 0),
(35, 'BF', 'Burkina Faso', 0),
(36, 'BI', 'Burundi', 0),
(37, 'KH', 'Cambodia', 0),
(38, 'CM', 'Cameroon', 0),
(39, 'CA', 'Canada', 0),
(40, 'CV', 'Cape Verde', 0),
(41, 'KY', 'Cayman Islands', 0),
(42, 'CF', 'Central African Republic', 0),
(43, 'TD', 'Chad', 0),
(44, 'CL', 'Chile', 0),
(45, 'CN', 'China', 0),
(46, 'CX', 'Christmas Island', 0),
(47, 'CC', 'Cocos (Keeling) Islands', 0),
(48, 'CO', 'Colombia', 0),
(49, 'KM', 'Comoros', 0),
(50, 'CG', 'Congo', 0),
(51, 'CK', 'Cook Islands', 0),
(52, 'CR', 'Costa Rica', 0),
(53, 'CI', 'Cote D''ivoire', 0),
(54, 'HR', 'Croatia', 0),
(55, 'CU', 'Cuba', 0),
(56, 'CY', 'Cyprus', 0),
(57, 'CZ', 'Czech Republic', 0),
(58, 'DK', 'Denmark', 0),
(59, 'DJ', 'Djibouti', 0),
(60, 'DM', 'Dominica', 0),
(61, 'DO', 'Dominican Republic', 0),
(62, 'TP', 'East Timor', 0),
(63, 'EC', 'Ecuador', 0),
(64, 'EG', 'Egypt', 0),
(65, 'SV', 'El Salvador', 0),
(66, 'GQ', 'Equatorial Guinea', 0),
(67, 'ER', 'Eritrea', 0),
(68, 'EE', 'Estonia', 0),
(69, 'ET', 'Ethiopia', 0),
(70, 'FK', 'Falkland Islands (Malvinas)', 0),
(71, 'FO', 'Faroe Islands', 0),
(72, 'FJ', 'Fiji', 0),
(73, 'FI', 'Finland', 0),
(74, 'FR', 'France', 0),
(75, 'GF', 'French Guiana', 0),
(76, 'PF', 'French Polynesia', 0),
(77, 'TF', 'French Southern Territories', 0),
(78, 'GA', 'Gabon', 0),
(79, 'GM', 'Gambia', 0),
(80, 'GE', 'Georgia', 0),
(81, 'DE', 'Germany', 0),
(82, 'GH', 'Ghana', 0),
(83, 'GI', 'Gibraltar', 0),
(84, 'GR', 'Greece', 0),
(85, 'GL', 'Greenland', 0),
(86, 'GD', 'Grenada', 0),
(87, 'GP', 'Guadeloupe', 0),
(88, 'GU', 'Guam', 0),
(89, 'GT', 'Guatemala', 0),
(90, 'GN', 'Guinea', 0),
(91, 'GW', 'Guinea-Bissau', 0),
(92, 'GY', 'Guyana', 0),
(93, 'HT', 'Haiti', 0),
(94, 'HM', 'Heard and McDonald Islands', 0),
(95, 'HN', 'Honduras', 0),
(96, 'HK', 'Hong Kong', 0),
(97, 'HU', 'Hungary', 0),
(98, 'IS', 'Iceland', 0),
(99, 'IN', 'India', 0),
(100, 'ID', 'Indonesia', 0),
(101, 'IQ', 'Iraq', 0),
(102, 'IE', 'Ireland', 0),
(103, 'IR', 'Islamic Republic of Iran', 0),
(104, 'IL', 'Israel', 0),
(105, 'IT', 'Italy', 0),
(106, 'JM', 'Jamaica', 0),
(107, 'JP', 'Japan', 0),
(108, 'JO', 'Jordan', 0),
(109, 'KZ', 'Kazakhstan', 0),
(110, 'KE', 'Kenya', 0),
(111, 'KI', 'Kiribati', 0),
(112, 'KP', 'Korea, Dem. Peoples Rep of', 0),
(113, 'KR', 'Korea, Republic of', 0),
(114, 'KW', 'Kuwait', 0),
(115, 'KG', 'Kyrgyzstan', 0),
(116, 'LA', 'Laos', 0),
(117, 'LV', 'Latvia', 0),
(118, 'LB', 'Lebanon', 0),
(119, 'LS', 'Lesotho', 0),
(120, 'LR', 'Liberia', 0),
(121, 'LY', 'Libyan Arab Jamahiriya', 0),
(122, 'LI', 'Liechtenstein', 0),
(123, 'LT', 'Lithuania', 0),
(124, 'LU', 'Luxembourg', 0),
(125, 'MO', 'Macau', 0),
(126, 'MK', 'Macedonia', 0),
(127, 'MG', 'Madagascar', 0),
(128, 'MW', 'Malawi', 0),
(129, 'MY', 'Malaysia', 0),
(130, 'MV', 'Maldives', 0),
(131, 'ML', 'Mali', 0),
(132, 'MT', 'Malta', 0),
(133, 'MH', 'Marshall Islands', 0),
(134, 'MQ', 'Martinique', 0),
(135, 'MR', 'Mauritania', 0),
(136, 'MU', 'Mauritius', 0),
(137, 'YT', 'Mayotte', 0),
(138, 'MX', 'Mexico', 0),
(139, 'FM', 'Micronesia', 0),
(140, 'MD', 'Moldova, Republic of', 0),
(141, 'MC', 'Monaco', 0),
(142, 'MN', 'Mongolia', 0),
(143, 'MS', 'Montserrat', 0),
(144, 'MA', 'Morocco', 0),
(145, 'MZ', 'Mozambique', 0),
(146, 'MM', 'Myanmar', 0),
(147, 'NA', 'Namibia', 0),
(148, 'NR', 'Nauru', 0),
(149, 'NP', 'Nepal', 0),
(150, 'NL', 'Netherlands', 0),
(151, 'AN', 'Netherlands Antilles', 0),
(152, 'NC', 'New Caledonia', 0),
(153, 'NZ', 'New Zealand', 0),
(154, 'NI', 'Nicaragua', 0),
(155, 'NE', 'Niger', 0),
(156, 'NG', 'Nigeria', 0),
(157, 'NU', 'Niue', 0),
(158, 'NF', 'Norfolk Island', 0),
(159, 'MP', 'Northern Mariana Islands', 0),
(160, 'NO', 'Norway', 0),
(161, 'OM', 'Oman', 0),
(162, 'PK', 'Pakistan', 0),
(163, 'PW', 'Palau', 0),
(164, 'PA', 'Panama', 0),
(165, 'PG', 'Papua New Guinea', 0),
(166, 'PY', 'Paraguay', 0),
(167, 'PE', 'Peru', 0),
(168, 'PH', 'Philippines', 0),
(169, 'PN', 'Pitcairn', 0),
(170, 'PL', 'Poland', 0),
(171, 'PT', 'Portugal', 0),
(172, 'PR', 'Puerto Rico', 0),
(173, 'QA', 'Qatar', 0),
(174, 'RE', 'Reunion', 0),
(175, 'RO', 'Romania', 0),
(176, 'RU', 'Russian Federation', 0),
(177, 'RW', 'Rwanda', 0),
(178, 'LC', 'Saint Lucia', 0),
(179, 'WS', 'Samoa', 0),
(180, 'SM', 'San Marino', 0),
(181, 'ST', 'Sao Tome and Principe', 0),
(182, 'SA', 'Saudi Arabia', 0),
(183, 'SN', 'Senegal', 0),
(184, 'YU', 'Serbia and Montenegro', 0),
(185, 'SC', 'Seychelles', 0),
(186, 'SL', 'Sierra Leone', 0),
(187, 'SG', 'Singapore', 0),
(188, 'SK', 'Slovakia', 0),
(189, 'SI', 'Slovenia', 0),
(190, 'SB', 'Solomon Islands', 0),
(191, 'SO', 'Somalia', 0),
(192, 'ZA', 'South Africa', 0),
(193, 'ES', 'Spain', 0),
(194, 'LK', 'Sri Lanka', 0),
(195, 'SH', 'St. Helena', 0),
(196, 'KN', 'St. Kitts and Nevis', 0),
(197, 'PM', 'St. Pierre and Miquelon', 0),
(198, 'VC', 'St. Vincent and the Grenadines', 0),
(199, 'SD', 'Sudan', 0),
(200, 'SR', 'Suriname', 0),
(201, 'SJ', 'Svalbard and Jan Mayen Islands', 0),
(202, 'SZ', 'Swaziland', 0),
(203, 'SE', 'Sweden', 0),
(204, 'CH', 'Switzerland', 0),
(205, 'SY', 'Syrian Arab Republic', 0),
(206, 'TW', 'Taiwan', 0),
(207, 'TJ', 'Tajikistan', 0),
(208, 'TZ', 'Tanzania, United Republic of', 0),
(209, 'TH', 'Thailand', 0),
(210, 'TG', 'Togo', 0),
(211, 'TK', 'Tokelau', 0),
(212, 'TO', 'Tonga', 0),
(213, 'TT', 'Trinidad and Tobago', 0),
(214, 'TN', 'Tunisia', 0),
(215, 'TR', 'Turkey', 0),
(216, 'TM', 'Turkmenistan', 0),
(217, 'TC', 'Turks and Caicos Islands', 0),
(218, 'TV', 'Tuvalu', 0),
(219, 'UG', 'Uganda', 0),
(220, 'UA', 'Ukraine', 0),
(221, 'AE', 'United Arab Emirates', 0),
(222, 'GB', 'United Kingdom (GB)', 999),
(224, 'US', 'United States', 1000),
(225, 'VI', 'United States Virgin Islands', 0),
(226, 'UY', 'Uruguay', 0),
(227, 'UZ', 'Uzbekistan', 0),
(228, 'VU', 'Vanuatu', 0),
(229, 'VA', 'Vatican City State', 0),
(230, 'VE', 'Venezuela', 0),
(231, 'VN', 'Vietnam', 0),
(232, 'WF', 'Wallis And Futuna Islands', 0),
(233, 'EH', 'Western Sahara', 0),
(234, 'YE', 'Yemen', 0),
(235, 'ZR', 'Zaire', 0),
(236, 'ZM', 'Zambia', 0),
(237, 'ZW', 'Zimbabwe', 0);


DROP TABLE IF EXISTS `<DB_PREFIX>gallery_albums`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>gallery_albums` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `album_code` varchar(8) CHARACTER SET latin1 NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  `priority_order` tinyint(1) NOT NULL DEFAULT '0',
  `is_active` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `is_active` (`is_active`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

INSERT INTO `<DB_PREFIX>gallery_albums` (`id`, `album_code`, `name`, `description`, `priority_order`, `is_active`) VALUES
(1, 'f1gl4rx6', 'General', 'General', 1, 1);


DROP TABLE IF EXISTS `<DB_PREFIX>gallery_images`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>gallery_images` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `album_code` varchar(8) CHARACTER SET latin1 NOT NULL,
  `image_file` varchar(50) CHARACTER SET latin1 NOT NULL,
  `image_text` varchar(255) CHARACTER SET latin1 NOT NULL,
  `priority_order` tinyint(1) NOT NULL DEFAULT '0',
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `album_code` (`album_code`),
  KEY `priority_order` (`priority_order`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

INSERT INTO `<DB_PREFIX>gallery_images` (`id`, `album_code`, `image_file`, `image_text`, `priority_order`, `is_active`) VALUES
(1, 'f1gl4rx6', '1_main_page01.jpg', 'General View', 2, 1),
(2, 'f1gl4rx6', '1_main_page02.jpg', 'General View #2', 1, 1);


DROP TABLE IF EXISTS `<DB_PREFIX>languages`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>languages` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `lang_name` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `abbreviation` varchar(3) CHARACTER SET latin1 NOT NULL,
  `lang_dir` varchar(3) CHARACTER SET latin1 NOT NULL DEFAULT 'ltr',
  `icon_image` varchar(50) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

INSERT INTO `<DB_PREFIX>languages` (`id`, `lang_name`, `abbreviation`, `lang_dir`, `icon_image`) VALUES
(1, 'English', 'en', 'ltr', 'en.gif');


DROP TABLE IF EXISTS `<DB_PREFIX>modules`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>modules` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) CHARACTER SET latin1 NOT NULL,
  `icon_file` varchar(50) CHARACTER SET latin1 NOT NULL,
  `module_tables` varchar(255) CHARACTER SET latin1 NOT NULL,
  `is_installed` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

INSERT INTO `<DB_PREFIX>modules` (`id`, `name`, `icon_file`, `module_tables`, `is_installed`) VALUES
(1, 'backup', 'backup.png', '', 1),
(7, 'adsense', 'adsense.png', 'adsense', 1),
(4, 'gallery', 'gallery.png', 'gallery_albums,gallery_images', 1),
(5, 'contact', 'contact.png', '', 1),
(6, 'comments', 'comments.png', 'comments', 1),
(8, 'resources', 'resources.png', 'resources', 1);


DROP TABLE IF EXISTS `<DB_PREFIX>modules_settings`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>modules_settings` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `module_name` varchar(20) CHARACTER SET latin1 NOT NULL,
  `settings_key` varchar(30) CHARACTER SET latin1 NOT NULL,
  `settings_value` text COLLATE utf8_unicode_ci NOT NULL,
  `settings_description` varchar(125) CHARACTER SET latin1 NOT NULL,
  `key_display_type` enum('string','numeric','integer','positive integer','enum','yes/no','text') CHARACTER SET latin1 NOT NULL,
  `key_is_required` tinyint(1) NOT NULL DEFAULT '1',
  `key_display_source` varchar(255) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=25 ;

INSERT INTO `<DB_PREFIX>modules_settings` (`id`, `module_name`, `settings_key`, `settings_value`, `settings_description`, `key_display_type`, `key_is_required`, `key_display_source`) VALUES
(19, 'adsense', 'adsense_code_vertical', '<script type="text/javascript"><!--\r\ngoogle_ad_client = "pub-4565616509262388";\r\n/* 120x240, создано 15.06.10 */\r\ngoogle_ad_slot = "2789161271";\r\ngoogle_ad_width = 120;\r\ngoogle_ad_height = 240;\r\n//-->\r\n</script>\r\n<script type="text/javascript"\r\nsrc="http://pagead2.googlesyndication.com/pagead/show_ads.js">\r\n</script>', 'Specifies a code for vertical banner, that must be taken from advertising company', 'text', 0, ''),
(4, 'gallery', 'type', 'lytebox', 'Allowed types of Gallery', 'enum', 1, 'lytebox'),
(5, 'gallery', 'key', '{module:gallery}', 'The keyword that will be replaced with gallery (copy and paste it into the page)', 'enum', 1, '{module:gallery}'),
(6, 'contact', 'email', 'admin@domain.com', 'The email address, that will be used to get sent data', 'string', 1, ''),
(7, 'contact', 'key', '{module:contact}', 'The keyword that will be replaced with Contact form (copy and paste it into the page)', 'enum', 1, '{module:contact}'),
(8, 'comments', 'comments_allow', 'yes', 'Allow comments to articles', 'yes/no', 1, ''),
(9, 'comments', 'user_type', 'all', 'Type of users, who can post comments', 'enum', 1, 'all,registered'),
(15, 'comments', 'comment_length', '500', 'The maximal length of a comment', 'positive integer', 1, ''),
(11, 'gallery', 'album_icon_width', '120px', 'Album icon width', 'string', 1, ''),
(12, 'gallery', 'album_icon_height', '90px', 'Album icon height', 'string', 1, ''),
(13, 'gallery', 'albums_per_line', '4', 'Number of album icons per line', 'positive integer', 1, ''),
(16, 'comments', 'image_verification_allow', 'yes', 'Specifies whether to allow image verification', 'yes/no', 1, ''),
(17, 'comments', 'page_size', '10', 'Defines how much comments will be shown on one page', 'positive integer', 1, ''),
(20, 'resources', 'resources_count', '5', 'Defines how many resources will be shown in news block', 'integer', 1, ''),
(21, 'resources', 'resources_header_len', '85', 'Defines a length of resources header in block', 'integer', 1, ''),
(22, 'resources', 'resources_default_target', '_blank', 'Defines default link target: _blank, _parent, _self etc.', 'string', 1, ''),
(23, 'adsense', 'adsense_code_horizontal', '<script type="text/javascript"><!--\r\ngoogle_ad_client = "pub-4565616509262388";\r\n/* 468x60, создано 15.06.10 */\r\ngoogle_ad_slot = "2880844154";\r\ngoogle_ad_width = 468;\r\ngoogle_ad_height = 60;\r\n//-->\r\n</script>\r\n<script type="text/javascript"\r\nsrc="http://pagead2.googlesyndication.com/pagead/show_ads.js">\r\n</script>', 'Specifies a code for horizantal banner, that must be taken from advertising company', 'text', 0, ''),
(24, 'adsense', 'minimal_posts', '2', 'Horizontal ads will be displayed after every pre-defined number of posts.', 'enum', 1, '1,2,3,4,5,6,7,8,9,10');


DROP TABLE IF EXISTS `<DB_PREFIX>posts`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>posts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `author_id` smallint(6) unsigned NOT NULL DEFAULT '0',
  `post_key` varchar(125) COLLATE utf8_unicode_ci DEFAULT NULL,
  `post_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `post_text` text COLLATE utf8_unicode_ci,
  `tags` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `category_id` int(11) DEFAULT '0',
  `tag_title` varchar(125) COLLATE utf8_unicode_ci NOT NULL,
  `tag_keywords` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `tag_description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `comments_allowed` tinyint(1) NOT NULL DEFAULT '0',
  `is_published` tinyint(1) NOT NULL DEFAULT '0',
  `is_rss_published` tinyint(1) NOT NULL DEFAULT '0',
  `posted_at` datetime NOT NULL,
  `status_changed` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `is_published` (`is_published`),
  KEY `comments_allowed` (`comments_allowed`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=80 ;

INSERT INTO `<DB_PREFIX>posts` (`id`, `author_id`, `post_key`, `post_title`, `post_text`, `tags`, `category_id`, `tag_title`, `tag_keywords`, `tag_description`, `comments_allowed`, `is_published`, `is_rss_published`, `posted_at`, `status_changed`) VALUES
(69, 1, 'Welcome-to-ApPHP-MicroBlog', 'Welcome to ApPHP MicroBlog', '<P>ApPHP MicroBlog (ApPHP MicroB) is very simple and powerful PHP blog software. This product enables you to start your own blog within minutes. You can easy add and manage your posts and posting categories. <BR><BR>This script is perfect for web designers and developers that want to empower their site and save the time on editing web pages every time they want to add more news. <BR><BR>The script is very flexible, it written in object-oriented style and allows web developers easy change it to suit their needs</P>\r\n<P>&nbsp;</P>', 'blog script', 1, 'ApPHP MicroBlog', 'php micro blog', 'ApPHP MicroBlog', 1, 1, 1, '2010-07-08 09:59:08', '2010-07-08 09:59:08'),
(70, 1, 'New-version-102-of-ApPHP-MicroBlog', 'New version 1.0.2 of ApPHP MicroBlog', '<P>New version 1.0.2 of ApPHP Microblog The new version 1.0.2 of ApPHP Microblog is available now for downloading. There are some bugs fixed and also some new additions and improvements, like different RSS Feed types, Resources module, AdSense module, search feature, additionioanl CSS template etc. This version requires full re-installation, if you work with one of previous.</P>\r\n<P>{module:gallery} </P>', 'new release,blog script,new version', 2, 'ApPHP MicroBlog', 'php micro blog', 'ApPHP MicroBlog', 0, 1, 1, '2010-07-08 09:55:29', '2010-07-08 09:55:29');


DROP TABLE IF EXISTS `<DB_PREFIX>resources`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>resources` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `link_text` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `link_href` text COLLATE utf8_unicode_ci NOT NULL,
  `link_target` text CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

INSERT INTO `<DB_PREFIX>resources` (`id`, `link_text`, `link_href`, `link_target`) VALUES
(1, 'PHP Builder', 'http://phpbuilder.blogspot.com', '_self'),
(2, 'ApPHP', 'http://aphphp.com', ''),
(4, 'The PHP Resource Index', 'http://php.resourceindex.com', ''),
(5, 'PHP: Hypertext Preprocessor', 'http://php.net', '');


DROP TABLE IF EXISTS `<DB_PREFIX>settings`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>settings` (
  `id` smallint(6) NOT NULL,
  `header_text` text COLLATE utf8_unicode_ci NOT NULL,
  `slogan_text` text COLLATE utf8_unicode_ci NOT NULL,
  `footer_text` text COLLATE utf8_unicode_ci NOT NULL,
  `text_direction` varchar(3) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'ltr',
  `tag_title` varchar(125) COLLATE utf8_unicode_ci NOT NULL,
  `tag_description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `tag_keywords` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `template` varchar(32) CHARACTER SET latin1 NOT NULL,
  `seo_urls` tinyint(1) NOT NULL DEFAULT '1',
  `admin_email` varchar(70) CHARACTER SET latin1 NOT NULL,
  `rss_feed` tinyint(1) NOT NULL DEFAULT '1',
  `rss_feed_type` enum('rss1','rss2','atom') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'rss1',
  `show_cloud_block` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `is_offline` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `offline_message` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `posts_on_main_page` tinyint(1) unsigned NOT NULL DEFAULT '5'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `<DB_PREFIX>settings` (`id`, `header_text`, `slogan_text`, `footer_text`, `text_direction`, `tag_title`, `tag_description`, `tag_keywords`, `template`, `seo_urls`, `admin_email`, `rss_feed`, `rss_feed_type`, `show_cloud_block`, `is_offline`, `offline_message`, `posts_on_main_page`) VALUES
(0, 'ApPHP MicroBlog', 'your slogan here...', 'ApPHP MicroBlog © <a class="footer_link" href="http://www.apphp.com/php-microblog/index.php">ApPHP</a>', 'ltr', 'ApPHP MicroBlog', 'ApPHP MicroBlog', 'php micro blog', 'default', 0, 'admin@domain.com', 1, 'rss1', 1, 0, 'Site is offline for technical support. Please visit us later.', 5);


DROP TABLE IF EXISTS `<DB_PREFIX>tags`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>tags` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `tag_name` varchar(50) CHARACTER SET latin1 NOT NULL,
  `tag_count` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=17 ;

INSERT INTO `<DB_PREFIX>tags` (`id`, `tag_name`, `tag_count`) VALUES
(4, 'blog script', 2),
(5, 'new version', 1),
(10, 'new release', 1);


DROP TABLE IF EXISTS `<DB_PREFIX>vocabulary`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>vocabulary` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `language_id` varchar(3) CHARACTER SET latin1 NOT NULL,
  `key_value` varchar(50) CHARACTER SET latin1 NOT NULL,
  `key_text` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `language_id` (`language_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=461 ;

INSERT INTO `<DB_PREFIX>vocabulary` (`id`, `language_id`, `key_value`, `key_text`) VALUES
(1, 'en', '_ABBREVIATION', 'Abbreviation'),
(2, 'en', '_ACCOUNTS', 'Accounts'),
(3, 'en', '_ACCOUNTS_MANAGEMENT', 'Accounts'),
(4, 'en', '_ACCOUNT_CREATED_MSG', 'Your account was successfully created. <b>You will receive now a confirmation email</b>, containing the details of your account (it may take a few minutes). <br><br>After completing the confirmation you will be able to log into your account.'),
(5, 'en', '_ACCOUNT_CREATE_MSG', 'This registration process requires confirmation via email! <br>Please fill out the form below with correct information.'),
(6, 'en', '_ACCOUNT_TYPE', 'Account type'),
(7, 'en', '_ACCOUNT_WAS_CREATED', 'Your account has been created'),
(8, 'en', '_ACCOUNT_WAS_UPDATED', 'Your account was successfully updated!'),
(9, 'en', '_ACCOUT_CREATED_CONF_MSG', 'Already confirmed your registration? Click <a href=''index.php?user=login''>here</a> to proceed.'),
(10, 'en', '_ACTIONS', 'Action'),
(11, 'en', '_ACTIONS_WORD', 'Action'),
(12, 'en', '_ACTIVE', 'Active'),
(13, 'en', '_AVATAR', 'Avatar'),
(14, 'en', '_ADDING_OPERATION_COMPLETED', 'The adding operation completed successfully!'),
(15, 'en', '_ADDRESS', 'Address'),
(16, 'en', '_ADDRESS_2', 'Address (line 2)'),
(17, 'en', '_ADDRESS_EMPTY_ALERT', 'Address can not be empty! Please re-enter.'),
(18, 'en', '_ADD_NEW', 'Add New'),
(19, 'en', '_ADD_NEW_MENU', 'Add New Menu'),
(20, 'en', '_ADD_TO_CATEGORY', 'Add To Category'),
(21, 'en', '_ADMINS', 'Admins'),
(22, 'en', '_ADMINS_MANAGEMENT', 'Admins Management'),
(23, 'en', '_ADMIN_EMAIL', 'Admin Email'),
(24, 'en', '_ADMIN_EMAIL_IS_EMPTY', 'Admin email must not be empty! Please re-enter.'),
(25, 'en', '_ADMIN_EMAIL_WRONG', 'Admin email in wrong format! Please re-enter.'),
(26, 'en', '_ADMIN_LOGIN', 'Admin Login'),
(27, 'en', '_ADMIN_PANEL', 'Admin Panel'),
(28, 'en', '_AGREE_CONF_TEXT', 'I have read and AGREE with Terms & Conditions'),
(29, 'en', '_ALBUM', 'Album'),
(30, 'en', '_ALBUM_NAME', 'Album Name'),
(31, 'en', '_AUTHOR_WELCOME_TEXT', '<div class=''site_version''>_VERSION_: _CURRENT_VERSION_</div>        \r\n<p>_TODAY_: <b>_TODAY_TIME_</b></p>\r\n<p>_LAST_LOGIN_: <b>_LAST_LOGIN_TIME_</b></p>        \r\n<p>Welcome to Author Control Panel that allows you add, edit and manage your blog content.</p>\r\n<p> <b>&#8226;</b> In <a href=''index.php?admin=my_account''>_MY_ACCOUNT_</a> there is a possibility to change your info.</p>\r\n<p> <b>&#8226;</b> <a href=''index.php?admin=posts''>_POSTS_MANAGEMENT_</a> are designed for creating and managing posts.</p>\r\n</div>'),
(32, 'en', '_ALERT_REQUIRED_FILEDS', 'Items marked with an asterisk (<font color=''darkred''>*</font>) are required'),
(33, 'en', '_ABOUT_ME', 'About Me'),
(34, 'en', '_ALL', 'All'),
(35, 'en', '_ALLOW_COMMENTS', 'Allow comments'),
(36, 'en', '_ALREADY_LOGGED', 'You are already logged in!'),
(37, 'en', '_ARTICLE', 'Article'),
(38, 'en', '_AUTHENTICATION', 'Authentication'),
(39, 'en', '_AUTHORS', 'Authors'),
(40, 'en', '_ADMIN_EMAIL_ALERT', 'This email used as "From" address for system emails. Make sure, that you write here a valid email address.'),
(41, 'en', '_AUTHORS_MANAGEMENT', 'Authors Management\r\n'),
(42, 'en', '_ADMIN_WELCOME_TEXT', '<div class=''site_version''>_VERSION_: _CURRENT_VERSION_</div>        \r\n<p>_TODAY_: <b>_TODAY_TIME_</b></p>\r\n<p>_LAST_LOGIN_: <b>_LAST_LOGIN_TIME_</b></p>        \r\n<p>Welcome to Administrator Control Panel that allows you add, edit or delete your blog content. With this Administrator Control Panel you can easy manage authors, orders and perform a full site management.</p>\r\n<p> <b>&#8226;</b> <a href=''index.php?admin=settings''>_SETTINGS_MENU_</a> allows you to define important settings for the site.</p>\r\n<p> <b>&#8226;</b> In <a href=''index.php?admin=my_account''>_MY_ACCOUNT_</a> there is a possibility to change your info. <a href=''index.php?admin=authors_management''>_AUTHORS_</a> give you possibility to add new or manage current authors of the Blog.</p>\r\n<p> <b>&#8226;</b> <a href=''index.php?admin=categories''>_CATEGORIES_</a> and <a href=''index.php?admin=posts''>_POSTS_MANAGEMENT_</a> are designed for managing categories and posts.</p>\r\n<p> <b>&#8226;</b> In <a href=''index.php?admin=language''>_LANGUAGES_MENU_</a> you may change language settings and edit your vocabulary (the words and phrases, used by the system).</p>\r\n<p> <b>&#8226;</b> There are some helpful modules for you: Backup & Restore, Gallery, Adsense, Contact, Resources and Comments.\r\nInstallation or un-installation of them is possible from the <a href=''index.php?admin=modules''>Modules Management</a> menu.</p>\r\n</div>'),
(43, 'en', '_ABOUT_ME_BLOCK', 'About Me Block'),
(44, 'en', '_ADSENSE_SETTINGS', 'Adsense Settings'),
(45, 'en', '_ADSENSE', 'Adsense'),
(46, 'en', '_AUTHORS_LOGIN', 'Authors Login'),
(47, 'en', '_AUTHOR', 'Author'),
(48, 'en', '_BACKUP', 'Backup'),
(49, 'en', '_BACKUPS_EXISTING', 'Existing Backups'),
(50, 'en', '_BACKUP_AND_RESTORE', 'Backup & Restore'),
(51, 'en', '_BACKUP_CHOOSE_MSG', 'Choose a backup from the list below'),
(52, 'en', '_BACKUP_DELETE_ALERT', 'Are you sure you want to delete this backup?'),
(53, 'en', '_BACKUP_EMPTY_MSG', 'No existing backups found.'),
(54, 'en', '_BACKUP_EMPTY_NAME_ALERT', 'Name the backup file can not be empty! Please re-enter.'),
(55, 'en', '_BACKUP_EXECUTING_ERROR', 'An error occurred while backup the system. Please try again later.'),
(56, 'en', '_BACKUP_INSTALLATION', 'Backup Installation'),
(57, 'en', '_BACKUP_RESTORE', 'Backup Restore'),
(58, 'en', '_BACKUP_RESTORE_ALERT', 'Are you sure you want to restore this backup'),
(59, 'en', '_BACKUP_RESTORE_NOTE', 'Restore a previous Backup. <b>Note: This will delete all your current settings.</b>'),
(60, 'en', '_BACKUP_RESTORING_ERROR', 'An error occurred while restoring file! Please try again later.'),
(61, 'en', '_BACKUP_WAS_CREATED', 'Backup _FILE_NAME_ was successfully created.'),
(62, 'en', '_BACKUP_WAS_DELETED', 'Backup _FILE_NAME_ was successfully deleted.'),
(63, 'en', '_BACKUP_WAS_RESTORED', 'Backup _FILE_NAME_ was successfully restored.'),
(64, 'en', '_BACKUP_YOUR_INSTALLATION', 'Backup your current Installation'),
(65, 'en', '_BANNERS', 'Banners'),
(66, 'en', '_BANNERS_MANAGEMENT', 'Banners Management'),
(67, 'en', '_BANNERS_SETTINGS', 'Banners Settings'),
(68, 'en', '_BAN_IP', 'Ban IPs'),
(69, 'en', '_BAN_EMAIL', 'Ban Emails'),
(70, 'en', '_BAN_LIST', 'Ban List'),
(71, 'en', '_BILLING_ADDRESS', 'Billing Address'),
(72, 'en', '_BLUE', 'Blue'),
(73, 'en', '_BOTTOM', 'Bottom'),
(74, 'en', '_BUTTON_BACK', 'Back'),
(75, 'en', '_BUTTON_CANCEL', 'Cancel'),
(76, 'en', '_BUTTON_CHANGE', 'Change'),
(77, 'en', '_BUTTON_CHANGE_PASSWORD', 'Change Password'),
(78, 'en', '_BUTTON_CREATE', 'Create'),
(79, 'en', '_BUTTON_LOGIN', 'Login'),
(80, 'en', '_BUTTON_LOGOUT', 'Logout'),
(81, 'en', '_BUTTON_RESET', 'Reset'),
(82, 'en', '_BUTTON_REWRITE', 'Rewrite Vocabulary'),
(83, 'en', '_BACK_TO_ADMIN_PANEL', 'Back to Admin Panel'),
(84, 'en', '_BACK_TO_AUTHOR_PANEL', 'Back to Author Panel'),
(85, 'en', '_BUTTON_SAVE_CHANGES', 'Save Changes'),
(86, 'en', '_BUTTON_UPDATE', 'Update'),
(87, 'en', '_CAN_USE_TAGS_MSG', 'You can use some HTML tags, such as'),
(88, 'en', '_CART_IS_EMPTY_ALERT', 'Your cart is empty!'),
(89, 'en', '_CATEGORIES', 'Categories'),
(90, 'en', '_CATEGORIES_MANAGEMENT', 'Categories Management'),
(91, 'en', '_CATEGORY', 'Category'),
(92, 'en', '_CATEGORY_DESCRIPTION', 'Category Description'),
(93, 'en', '_CHANGES_SAVED', 'Changes were saved.'),
(94, 'en', '_CATEGORIES_ADD_NEW', 'Add New Category'),
(95, 'en', '_CATEGORIES_EDIT', 'Edit Categories'),
(96, 'en', '_CATEGORY_EMPTY', 'There are no posts in this category!'),
(97, 'en', '_CATEGORY_WORD', 'Category'),
(98, 'en', '_CHANGE_ORDER', 'Change Order'),
(99, 'en', '_CHANGE_YOUR_PASSWORD', 'Change your password'),
(100, 'en', '_CHECKOUT', 'Checkout'),
(101, 'en', '_CITY', 'City'),
(102, 'en', '_CITY_EMPTY_ALERT', 'City can not be empty! Please re-enter.'),
(103, 'en', '_CLICK_TO_EDIT', 'Click to edit'),
(104, 'en', '_CLOSE', 'Close'),
(105, 'en', '_CLOSE_META_TAGS', 'Close META tags'),
(106, 'en', '_CODE', 'Code'),
(107, 'en', '_COMMENTS', 'Comments'),
(108, 'en', '_COMMENTS_LINK', 'Comments (_COUNT_)'),
(109, 'en', '_COMMENTS_SETTINGS', 'Comments Settings'),
(110, 'en', '_COMMENT_LENGTH_ALERT', 'The length of comment must be less than _LENGTH_ characters!'),
(111, 'en', '_COMMENT_POSTED_SUCCESS', 'Your comment has been successfully posted!'),
(112, 'en', '_COMMENT_TEXT', 'Comment text'),
(113, 'en', '_COMPANY', 'Company'),
(114, 'en', '_CONFIRMED_ALREADY_MSG', 'Your account has already been confirmed! <br><br><a href=''index.php?user=login''>Continue</a>'),
(115, 'en', '_CONFIRMED_SUCCESS_MSG', 'Thank you for confirming your registration! <br><br>You may now log into your account. Click <a href=''index.php?user=login''>here</a> to proceed.'),
(116, 'en', '_CONFIRM_PASSWORD', 'Confirm Password'),
(117, 'en', '_CONFIRM_TERMS_CONDITIONS', 'You must to confirm you agree with our Terms & Conditions!'),
(118, 'en', '_CONF_PASSWORD_IS_EMPTY', 'Confirm Password can not be empty!'),
(119, 'en', '_CONF_PASSWORD_MATCH', 'Password must be match with Confirm Password'),
(120, 'en', '_CONTACT_INFORMATION', 'Contact Information'),
(121, 'en', '_CONTACT', 'Contact'),
(122, 'en', '_CONTACT_ALREADY_SENT', 'Your message was already sent. Please try again later.'),
(123, 'en', '_CONTACT_EMAIL_SENT', 'Thank you for contacting! Your message has been successfully sent.'),
(124, 'en', '_CONTACT_SETTINGS', 'Contact Settings'),
(125, 'en', '_CONTENT_TYPE', 'Content Type'),
(126, 'en', '_COUNTRY', 'Country'),
(127, 'en', '_COUNTRY_EMPTY_ALERT', 'Country can not be empty! Please re-enter.'),
(128, 'en', '_CREATE_ACCOUNT', 'Create account'),
(129, 'en', '_CREATE_ACCOUNT_NOTE', 'NOTE: <br>\nWe recommend that your password should be at least 6 characters long and should be different from your username.<br><br>\nYour e-mail address must be valid. We use e-mail for communication purposes (order notifications, etc). Therefore, it is essential to provide a valid e-mail address to be able to use our services correctly.<br><br>\nAll your private data is confidential. We will never sell, exchange or market it in any way. For further information on the responsibilities of both parts, you may refer to us.'),
(130, 'en', '_CREATING_ACCOUNT_ERROR', 'An error occurred while creating your account! Please try again later or send information about this error to administration of the site.'),
(131, 'en', '_CREATING_NEW_ACCOUNT', 'Creating new account'),
(132, 'en', '_CATEGORY_CREATED', 'New category was successfully created!'),
(133, 'en', '_CATEGORY_DELETED', 'Category was successfully deleted!'),
(134, 'en', '_CURRENCIES', 'Currencies'),
(135, 'en', '_CURRENCY', 'Currency'),
(136, 'en', '_CUSTOMER', 'Customer'),
(137, 'en', '_CUSTOMERS', 'Customers'),
(138, 'en', '_CUSTOMERS_MANAGEMENT', 'Customers Management'),
(139, 'en', '_CUSTOMERS_SETTINGS', 'Customers Settings'),
(140, 'en', '_CUSTOMER_LOGIN', 'Customer Login'),
(141, 'en', '_CATEGORY_SAVED', 'Category was successfully saved!'),
(142, 'en', '_CATEGORY_ORDER', 'Category Order'),
(143, 'en', '_CATEGORY_NAME_EMPTY', 'Category name cannot be emty! Please re-enter.'),
(144, 'en', '_CATEGORY_DELETE_WARNING', 'Are you sure you want to delete this category? Note: this will make all its category links invisible to your site visitors!'),
(145, 'en', '_CATEGORY_ORDER_CHANGED', 'Category order was successfully changed!'),
(146, 'en', '_CATEGORY_TITLE', 'Category Title'),
(147, 'en', '_CATEGORY_NAME', 'Category Name'),
(148, 'en', '_CATEGORY_EDIT', 'Edit Category'),
(149, 'en', '_CATEGORY_MANAGEMENT', 'Category Management'),
(150, 'en', '_DATE', 'Date'),
(151, 'en', '_DATE_CREATED', 'Date Created'),
(152, 'en', '_DEFAULT', 'Default'),
(153, 'en', '_DEFAULT_TEMPLATE', 'Default Template'),
(154, 'en', '_DELETE_WARNING', 'Are you sure you want to install this record?'),
(155, 'en', '_DELETE_WARNING_COMMON', 'Are you sure you want to delete this record?'),
(156, 'en', '_DELETE_WORD', 'Delete'),
(157, 'en', '_DELETING_OPERATION_COMPLETED', 'Deleting operation was successfully completed!'),
(158, 'en', '_DESCRIPTION', 'Description'),
(159, 'en', '_DISPLAY_ON', 'Display on'),
(160, 'en', '_DOWN', 'Down'),
(161, 'en', '_EDIT_MENUS', 'Edit Menus'),
(162, 'en', '_EDIT_MY_ACCOUNT', 'Edit My Account'),
(163, 'en', '_EDIT_POST', 'Edit Post'),
(164, 'en', '_EDIT_WORD', 'Edit'),
(165, 'en', '_EMAIL_ADDRESS', 'E-mail address'),
(166, 'en', '_EMAIL_EMPTY_ALERT', 'Email can not be empty! Please re-enter.'),
(167, 'en', '_EMAIL_IS_EMPTY', 'Email must not be empty! Please re-enter.'),
(168, 'en', '_EMAIL_IS_WRONG', 'Please enter a valid email address.'),
(169, 'en', '_EMAIL_NOT_EXISTS', 'This e-mail account does not exist in the system! Please re-enter.'),
(170, 'en', '_EMAIL_VALID_ALERT', 'Please enter a valid email address!'),
(171, 'en', '_ENTER_EMAIL_ADDRESS', '(Please enter <i>ONLY real</i> email address)'),
(172, 'en', '_EVENTS', 'Events'),
(173, 'en', '_FIELD_CANNOT_BE_EMPTY', 'Field _FIELD_ can not be empty! Please re-enter.'),
(174, 'en', '_FIELD_MUST_BE_ALPHA', '_FIELD_ must be alphabetic value! Please re-enter.'),
(175, 'en', '_FIELD_MUST_BE_ALPHA_NUMERIC', '_FIELD_ must be alphanumeric value! Please re-enter.'),
(176, 'en', '_FIELD_MUST_BE_BOOLEAN', 'Field _FIELD_ value must be ''yes'' or ''no''! Please re-enter.'),
(177, 'en', '_FIELD_MUST_BE_EMAIL', '_FIELD_ must be in valid email format! Please re-enter.'),
(178, 'en', '_FIELD_MUST_BE_FLOAT', 'Field _FIELD_ must be float number value! Please re-enter.'),
(179, 'en', '_FIELD_MUST_BE_FLOAT_POSITIVE', 'Field _FIELD_ must be positive float number value! Please re-enter.'),
(180, 'en', '_FIELD_MUST_BE_NUMERIC', 'Field _FIELD_ must be numeric value! Please re-enter.'),
(181, 'en', '_FIELD_MUST_BE_NUMERIC_POSITIVE', 'Field _FIELD_ must be positive numeric value! Please re-enter.'),
(182, 'en', '_FIELD_MUST_BE_PASSWORD', '_FIELD_ must be 6 characters at least and consist of letters and digits! Please re-enter.'),
(183, 'en', '_FIELD_MUST_BE_POSITIVE_INT', 'Field _FIELD_ must be positive integer value! Please re-enter.'),
(184, 'en', '_FIELD_MUST_BE_TEXT', '_FIELD_ value must be a text! Please re-enter.'),
(185, 'en', '_FILE_DELETING_ERROR', 'An error occurred while deleting file! Please try again later.'),
(186, 'en', '_FILTER_BY', 'Filter by'),
(187, 'en', '_FIRST_NAME', 'First Name'),
(188, 'en', '_FIRST_NAME_EMPTY_ALERT', 'First Name can not be empty! Please re-enter.'),
(189, 'en', '_FORMATTING', 'Formatting'),
(190, 'en', '_FOOTER_IS_EMPTY', 'Footer can not be empty! Please re-enter.'),
(191, 'en', '_FORGOT_PASSWORD', 'Forgot your password'),
(192, 'en', '_GALLERY', 'Gallery'),
(193, 'en', '_GALLERY_MANAGEMENT', 'Gallery Management'),
(194, 'en', '_GALLERY_SETTINGS', 'Gallery Settings'),
(195, 'en', '_GENERAL', 'General'),
(196, 'en', '_GENERAL_SETTINGS', 'General Settings'),
(197, 'en', '_GO', 'Go'),
(198, 'en', '_GRAY', 'Gray'),
(199, 'en', '_GREEN', 'Green'),
(200, 'en', '_HDR_FOOTER_TEXT', 'Footer Text'),
(201, 'en', '_HDR_HEADER_TEXT', 'Header Text'),
(202, 'en', '_HDR_SLOGAN_TEXT', 'Slogan'),
(203, 'en', '_HDR_TEMPLATE', 'Template'),
(204, 'en', '_HDR_TEXT_DIRECTION', 'Text Direction'),
(205, 'en', '_HEADER', 'Header'),
(206, 'en', '_HEADER_IS_EMPTY', 'Header can not be empty! Please re-enter.'),
(207, 'en', '_HOME', 'Home'),
(208, 'en', '_ICON_IMAGE', 'Icon image'),
(209, 'en', '_IP_ADDRESS', 'IP address'),
(210, 'en', '_IP_ADDRESS_BLOCKED', 'This IP Address was blocked! To resolve this problem, please contact administration of the site.'),
(211, 'en', '_IMAGE', 'Image'),
(212, 'en', '_IMAGES', 'Images'),
(213, 'en', '_IMAGE_VERIFICATION', 'Image verification'),
(214, 'en', '_IMAGE_VERIFY_EMPTY', 'You must enter image verification code!'),
(215, 'en', '_INSTALL', 'Install'),
(216, 'en', '_INSTALL_PHP_EXISTS', 'Files <b>install.php</b> and/or directory <b>install/</b> still exist. For security reasons please remove them immediately!'),
(217, 'en', '_IS_DEFAULT', 'Is default'),
(218, 'en', '_KEY', 'Key'),
(219, 'en', '_KEY_DISPLAY_TYPE', 'Key display type'),
(220, 'en', '_LANGUAGE', 'Language'),
(221, 'en', '_LANGUAGES', 'Languages'),
(222, 'en', '_LANGUAGE_SETTINGS', 'Language Settings'),
(223, 'en', '_LANGUAGE_ADDED', 'New language was successfully added!'),
(224, 'en', '_LANGUAGE_ADD_NEW', 'Add New Language'),
(225, 'en', '_LANGUAGE_EDIT', 'Edit Language'),
(226, 'en', '_LANGUAGE_EDITED', 'Language data was successfully updated!'),
(227, 'en', '_LANGUAGE_NAME', 'Language Name'),
(228, 'en', '_LANG_ABBREV_EMPTY', 'Language abbreviation can not be empty!'),
(229, 'en', '_LANG_DELETED', 'Language was successfully deleted!'),
(230, 'en', '_LANG_DELETE_LAST_ERROR', 'You cannot delete last language!'),
(231, 'en', '_LANG_DELETE_WARNING', 'Are you sure you want to remove this language? This operation will delete all language vocabulary!'),
(232, 'en', '_LANG_MISSED', 'Missed language to update! Please, try again.'),
(233, 'en', '_LANG_NAME_EMPTY', 'Language name can not be empty!'),
(234, 'en', '_LANG_NAME_EXISTS', 'Language with such name already exists! Please choose another.'),
(235, 'en', '_LANG_NOT_DELETED', 'Language was not deleted!'),
(236, 'en', '_LANG_ORDER_CHANGED', 'Language order was successfully changed!'),
(237, 'en', '_LAST_CURRENCY_ALERT', 'You can not delete last active currency!'),
(238, 'en', '_LAST_LOGGED_IP', 'Last logged IP'),
(239, 'en', '_LAST_LOGIN', 'Last Login'),
(240, 'en', '_LAST_NAME', 'Last Name'),
(241, 'en', '_LAST_NAME_EMPTY_ALERT', 'Last Name can not be empty!'),
(242, 'en', '_LEAVE_YOUR_COMMENT', 'Leave your comment'),
(243, 'en', '_LEFT', 'Left'),
(244, 'en', '_LEFT_TO_RIGHT', 'LTR (left-to-right)'),
(245, 'en', '_LINK', 'Link'),
(246, 'en', '_MAIN', 'Main'),
(247, 'en', '_MEMBER_PANEL', 'Member Panel'),
(248, 'en', '_MENUS', 'Menus'),
(249, 'en', '_MENU_ADD', 'Add Menu'),
(250, 'en', '_MENU_CREATED', 'Menu was successfully created'),
(251, 'en', '_MENU_DELETED', 'Menu was successfully deleted'),
(252, 'en', '_MENU_DELETE_WARNING', 'Are you sure you want to delete this menu? Note: this will make all its menu links invisible to your site visitors!'),
(253, 'en', '_MENU_EDIT', 'Edit Menu'),
(254, 'en', '_MENU_MANAGEMENT', 'Menus Management'),
(255, 'en', '_MENU_MISSED', 'Missed menu to update! Please, try again.'),
(256, 'en', '_MENU_NAME', 'Menu Name'),
(257, 'en', '_MENU_NAME_EMPTY', 'Menu name can not be empty!'),
(258, 'en', '_MENU_NOT_CREATED', 'Menu was not created!'),
(259, 'en', '_MENU_NOT_DELETED', 'Menu was not deleted!'),
(260, 'en', '_MENU_NOT_FOUND', 'No Menus Found'),
(261, 'en', '_MENU_NOT_SAVED', 'Menu was not saved!'),
(262, 'en', '_MENU_ORDER', 'Menu Order'),
(263, 'en', '_MENU_ORDER_CHANGED', 'Menu order was successfully changed'),
(264, 'en', '_MENU_SAVED', 'Menu was successfully saved'),
(265, 'en', '_MENU_TITLE', 'Menu Title'),
(266, 'en', '_MENU_WORD', 'Menu'),
(267, 'en', '_MESSAGE', 'Message'),
(268, 'en', '_MESSAGE_EMPTY_ALERT', 'Message can not be empty! Please re-enter.'),
(269, 'en', '_MEMBER_LOGIN', 'Member Login'),
(270, 'en', '_META_TAG', 'Meta Tag'),
(271, 'en', '_MODULES', 'Modules'),
(272, 'en', '_MODULES_MANAGEMENT', 'Modules Management'),
(273, 'en', '_MODULES_NOT_FOUND', 'No modules found!'),
(274, 'en', '_MODULE_INSTALLED', 'Module was successfully installed!'),
(275, 'en', '_MODULE_INSTALL_ALERT', 'Are you sure you want to install this module?'),
(276, 'en', '_MODULE_UNINSTALLED', 'Module was successfully un-installed!'),
(277, 'en', '_MODULE_UNINSTALL_ALERT', 'Are you sure you want to un-install this module?'),
(278, 'en', '_MUST_BE_LOGGED', 'You must be logged in to view this page! <a href=''index.php?user=login''>Login</a> or <a href=''index.php?user=create_account''>Create Account for free</a>.'),
(279, 'en', '_MY_ACCOUNT', 'My Account'),
(280, 'en', '_NAME', 'Name'),
(281, 'en', '_NAME_EMPTY_ALERT', 'Name can not be empty! Please re-enter.'),
(282, 'en', '_NO', 'No'),
(283, 'en', '_NO_RESOURCES', 'No resources'),
(284, 'en', '_NOTICE_MODULES_CODE', 'To add available modules to this page just copy and paste into the text: {module:gallery} or {module:contact}'),
(285, 'en', '_NOTIFICATION_MSG', 'Please send me information about updates, new products, specials and discounts!'),
(286, 'en', '_NOTIFICATION_STATUS_CHANGED', 'Notification status changed'),
(287, 'en', '_NEWER_POSTS', 'Newer Posts'),
(288, 'en', '_NOT_AUTHORIZED', 'You are not authorized to view this page.'),
(289, 'en', '_NOT_AVAILABLE', 'N/A'),
(290, 'en', '_NOT_ALLOWED', 'Not allowed'),
(291, 'en', '_NO_COMMENTS_YET', 'No comments yet.'),
(292, 'en', '_NO_RECORDS_FOUND', 'No records found'),
(293, 'en', '_OPEN', 'Open'),
(294, 'en', '_OPERATION_BLOCKED', 'This operation is blocked in Demo Version!'),
(295, 'en', '_ORANGE', 'Orange'),
(296, 'en', '_ORDER', 'Order'),
(297, 'en', '_ORDERS', 'Orders'),
(298, 'en', '_ORDERS_COUNT', 'Orders count'),
(299, 'en', '_ORDERS_MANAGEMENT', 'Orders Management'),
(300, 'en', '_ORDER_DESCRIPTION', 'Order Description'),
(301, 'en', '_OLDER_POSTS', 'Older Posts'),
(302, 'en', '_OFFLINE_MESSAGE', 'Offline Message'),
(303, 'en', '_OTHER', 'Other'),
(304, 'en', '_PAGE', 'Page'),
(305, 'en', '_PAGES', 'Pages'),
(306, 'en', '_POST_ADD_NEW', 'Add New Post'),
(307, 'en', '_PAGE_CREATED', 'Page was successfully created'),
(308, 'en', '_PAGE_DELETED', 'Page was successfully deleted'),
(309, 'en', '_PAGE_DELETE_WARNING', 'Are you sure you want to delete this page?'),
(310, 'en', '_PAGE_EDIT_HOME', 'Edit HomePage'),
(311, 'en', '_POSTS_EDIT', 'Edit Posts'),
(312, 'en', '_PAGE_HEADER', 'Page Header'),
(313, 'en', '_PAGE_HEADER_EMPTY', 'Page header can not be empty!'),
(314, 'en', '_PAGE_KEY_EMPTY', 'Page key can not be empty!'),
(315, 'en', '_PAGE_LINK_TOO_LONG', 'Menu link too long!'),
(316, 'en', '_POSTS_MANAGEMENT', 'Posts Management'),
(317, 'en', '_PAGE_NOT_CREATED', 'Page was not created!'),
(318, 'en', '_PAGE_NOT_DELETED', 'Page was not deleted!'),
(319, 'en', '_POSTED_BY_AUTHOR_AT', 'Posted by _AUTHOR_ at'),
(320, 'en', '_PAGE_NOT_EXISTS', 'The page you attempted to access does not exist'),
(321, 'en', '_PAGE_NOT_FOUND', 'No Pages Found'),
(322, 'en', '_PAGE_NOT_SAVED', 'Page was not saved!'),
(323, 'en', '_PAGE_REMOVED', 'Page was successfully removed!'),
(324, 'en', '_PAGE_REMOVE_WARNING', 'Are you sure you want to move this page move this page to the Trash?'),
(325, 'en', '_PASSWORD_NOT_CHANGED', 'Password was not changed. Please try again!'),
(326, 'en', '_PASSWORD_RECOVERY_MSG', 'To recover your password, please enter your e-mail address and a link will be emailed to you.'),
(327, 'en', '_PASSWORD_SUCCESSFULLY_SENT', 'Your password has been successfully sent to the email address.'),
(328, 'en', '_PAYED_BY', 'Payed by'),
(329, 'en', '_PAYMENTS', 'Payments'),
(330, 'en', '_PERSONAL_DETAILS', 'Personal Details'),
(331, 'en', '_PERSONAL_INFORMATION', 'Personal Information'),
(332, 'en', '_PHONE', 'Phone'),
(333, 'en', '_PLACEMENT', 'Placement'),
(334, 'en', '_PAGE_RESTORED', 'Page was successfully restored!'),
(335, 'en', '_PAGE_ADD_NEW', 'Add New Page'),
(336, 'en', '_PAGE_RESTORE_WARNING', 'Are you sure you want to restore this page?'),
(337, 'en', '_PAGE_SAVED', 'Page was successfully saved'),
(338, 'en', '_POST_TEXT', 'Post text'),
(339, 'en', '_PAGE_UNKNOWN', 'Unknown page!'),
(340, 'en', '_PASSWORD', 'Password'),
(341, 'en', '_PASSWORD_ALREADY_SENT', 'Password was already sent to your email. Please try again later.'),
(342, 'en', '_PASSWORD_CHANGED', 'Password was changed.'),
(343, 'en', '_POST_UNKNOWN', 'Unknown post!'),
(344, 'en', '_PASSWORD_DO_NOT_MATCH', 'Password and confirmation do not match!'),
(345, 'en', '_PREVIEW', 'Preview'),
(346, 'en', '_PASSWORD_FORGOTTEN', 'Forgotten Password'),
(347, 'en', '_PASSWORD_IS_EMPTY', 'Passwords must not be empty and at least 6 characters!'),
(348, 'en', '_PLAY', 'Play'),
(349, 'en', '_POSTED_ON', 'Posted on'),
(350, 'en', '_POST_EMPTY', 'Post was not found!'),
(351, 'en', '_POST_COM_REGISTERED_ALERT', 'Your need to be registered to post comments.'),
(352, 'en', '_PRICE', 'Price'),
(353, 'en', '_POSTS_ON_MAIN_PAGE_ALERT', 'Defines number of posts showing on main page'),
(354, 'en', '_PUBLISHING', 'Publishing'),
(355, 'en', '_PRODUCTS', 'Products'),
(356, 'en', '_PRODUCTS_COUNT', 'Products count'),
(357, 'en', '_POSTS_ON_MAIN_PAGE', 'posts on the main page'),
(358, 'en', '_PRODUCTS_MANAGEMENT', 'Products Management'),
(359, 'en', '_PRODUCT_DESCRIPTION', 'Product Description'),
(360, 'en', '_PRODUCT_NOT_FOUND', 'Product was not found!'),
(361, 'en', '_POSTS', 'Posts'),
(362, 'en', '_PERSONAL_INFO', 'Personal Info'),
(363, 'en', '_PUBLISH', 'Publish'),
(364, 'en', '_PUBLISHED', 'Published'),
(365, 'en', '_POST_HEADER_EMPTY', 'Post header can not be empty! Please re-enter.'),
(366, 'en', '_PUBLISH_YOUR_COMMENT', 'Publish your comment'),
(367, 'en', '_RATE', 'Rate'),
(368, 'en', '_READ_MORE', 'Read more'),
(369, 'en', '_RED', 'Red'),
(370, 'en', '_REFRESH', 'Refresh'),
(371, 'en', '_REGISTERED_FROM_IP', 'Registered from IP'),
(372, 'en', '_RESOURCES', 'Resources'),
(373, 'en', '_REASON', 'Reason'),
(374, 'en', '_REGISTRATION_CODE', 'Registration code'),
(375, 'en', '_REGISTRATION_CONFIRMATION', 'Registration Confirmation'),
(376, 'en', '_REG_ALREADY_COMPLETED', 'Wrong parameters passed or your registration was already confirmed!'),
(377, 'en', '_REMOVE', 'Remove'),
(378, 'en', '_REMOVED', 'Removed'),
(379, 'en', '_RESTORE', 'Restore'),
(380, 'en', '_RESOURCES_SETTINGS', 'Resources Settings'),
(381, 'en', '_RETYPE_PASSWORD', 'Retype Password'),
(382, 'en', '_RIGHT', 'Right'),
(383, 'en', '_RESOURCES_MANAGEMENT', 'Resources Management'),
(384, 'en', '_RIGHT_TO_LEFT', 'RTL (right-to-left)'),
(385, 'en', '_SAID', 'said'),
(386, 'en', '_SEARCH', 'Search'),
(387, 'en', '_SEARCH_KEYWORDS', 'search keywords'),
(388, 'en', '_SEARCH_RESULT_FOR', 'Search Results for'),
(389, 'en', '_SELECT', 'select'),
(390, 'en', '_SEND', 'Send'),
(391, 'en', '_SITE_OFFLINE_MESSAGE_ALERT', 'A message that displays in the Front-end if your site is offline'),
(392, 'en', '_SITE_OFFLINE_ALERT', 'Select whether access to the Site Front-end is available. If Yes, the Front-end will display the message below'),
(393, 'en', '_STATIC_PAGES', 'Static Pages'),
(394, 'en', '_SEO_LINKS_ALERT', 'Select whether or not the URLs are optimised for Search Engines'),
(395, 'en', '_SHOW_ABOUT_ME', 'Show About Me block'),
(396, 'en', '_SEO_URLS', 'SEO URLs'),
(397, 'en', '_SETTINGS', 'Settings'),
(398, 'en', '_SETTINGS_SAVED', 'Changes were saved! Please refresh the <a href=''index.php''>Home Page</a> to see the results.'),
(399, 'en', '_SHOW_META_TAGS', 'Show META tags'),
(400, 'en', '_SHOW_TAG_CLOUD_BLOCK', 'Show Tag Cloud Block'),
(401, 'en', '_SETTINGS_SAVED_PAGE_REFRESHED', 'Changes were saved! This page will be refreshed with a few seconds, please wait or click <a href=''index.php''>here</a>.\r\n'),
(402, 'en', '_SITE_PREVIEW', 'Site Preview'),
(403, 'en', '_SAVE', 'Save'),
(404, 'en', '_SITE_RSS', 'Site RSS'),
(405, 'en', '_SITE_SETTINGS', 'Site Settings'),
(406, 'en', '_STATE', 'State'),
(407, 'en', '_STATE_PROVINCE', 'State/Province'),
(408, 'en', '_STATISTICS', 'Statistics'),
(409, 'en', '_SITE_OFFLINE', 'Site Offline'),
(410, 'en', '_SHOW_AT_MOST', 'Show at most'),
(411, 'en', '_STATUS', 'Status'),
(412, 'en', '_SUBJECT', 'Subject'),
(413, 'en', '_SUBJECT_EMPTY_ALERT', 'Subject can not be empty!'),
(414, 'en', '_SUBMIT', 'Submit'),
(415, 'en', '_SYMBOL', 'Symbol'),
(416, 'en', '_TAG', 'Tag'),
(417, 'en', '_TAGS_TXT', 'Tags (separated by commas)'),
(418, 'en', '_TAGS_CLOUD', 'Tags Cloud'),
(419, 'en', '_TAGS', 'Tags'),
(420, 'en', '_TAG_TITLE_IS_EMPTY', 'Tag &lt;TITLE&gt; ca not be empty! Please re-enter.'),
(421, 'en', '_TARGET', 'Target'),
(422, 'en', '_TEMPLATES_STYLES', 'Templates & Styles'),
(423, 'en', '_TEMPLATE_IS_EMPTY', 'Template can not be empty! Please re-enter.'),
(424, 'en', '_TEXT', 'Text'),
(425, 'en', '_TODAY', 'Today'),
(426, 'en', '_TOP', 'Top'),
(427, 'en', '_TOTAL', 'Total'),
(428, 'en', '_TOTAL_PRICE', 'Total Price'),
(429, 'en', '_TRANSACTION', 'Transaction'),
(430, 'en', '_TRASH', 'Trash'),
(431, 'en', '_TRASH_PAGES', 'Trash Pages'),
(432, 'en', '_TRY_LATER', 'An error occured while execution. Please try again later!'),
(433, 'en', '_TYPE', 'Type'),
(434, 'en', '_TYPE_CHARS', 'Type the characters you see in the picture.'),
(435, 'en', '_UNINSTALL', 'Uninstall'),
(436, 'en', '_UP', 'Up'),
(437, 'en', '_UPDATES_NOTIFICATION', 'Updates notification'),
(438, 'en', '_UPDATING_ACCOUNT_ERROR', 'An error occurred while updating your account! Please try again later or send information about this error to administration of the site.'),
(439, 'en', '_UPDATING_OPERATION_COMPLETED', 'Updating operation was successfully completed!'),
(440, 'en', '_UPLOAD', 'Upload'),
(441, 'en', '_URL', 'URL'),
(442, 'en', '_USERNAME', 'Username'),
(443, 'en', '_USERNAME_AND_PASSWORD', 'Username & Password'),
(444, 'en', '_USERNAME_EMPTY_ALERT', 'Username can not be empty! Please re-enter.'),
(445, 'en', '_USERNAME_LENGTH_ALERT', 'The length of username can not be less than 6 characters! Please re-enter.'),
(446, 'en', '_USERS', 'Users'),
(447, 'en', '_FIELD_MUST_BE_IP_ADDRESS', '_FIELD_ must be a valid IP Address! Please re-enter.'),
(448, 'en', '_USERS_MANAGEMENT', 'Users Management'),
(449, 'en', '_USERS_SETTINGS', 'Users Settings'),
(450, 'en', '_USER_EMAIL_EXISTS_ALERT', 'User with such email already exists! Please choose another.'),
(451, 'en', '_USER_EXISTS_ALERT', 'User with such username already exists! Please choose another.'),
(452, 'en', '_USER_NAME', 'User name'),
(453, 'en', '_VALUE', 'Value'),
(454, 'en', '_VIEW_WORD', 'View'),
(455, 'en', '_VERSION', 'Version'),
(456, 'en', '_VISUAL_SETTINGS', 'Visual Settings'),
(457, 'en', '_VOCABULARY', 'Vocabulary'),
(458, 'en', '_VOC_KEY_UPDATED', 'Vocabulary key was successfully updated.'),
(459, 'en', '_VOC_KEY_VALUE_EMPTY', 'Key value can not be empty! Please re-enter.'),
(460, 'en', '_VOC_NOT_FOUND', 'No keys found'),
(461, 'en', '_VOC_UPDATED', 'Vocabulary was successfully updated. Click <a href=''index.php''>here</a> to refresh the site.'),
(462, 'en', '_WEB_SITE', 'Web Site'),
(463, 'en', '_WELCOME_ADMIN', 'welcome to Admin Panel!'),
(464, 'en', '_WRONG_CODE_ALERT', 'Sorry, the code you have entered was invalid! Please try again.'),
(465, 'en', '_WRONG_LOGIN', 'Wrong username or password!'),
(466, 'en', '_WRONG_PARAMETER_PASSED', 'Wrong parameters passed - can not complete operation! '),
(467, 'en', '_YES', 'Yes'),
(468, 'en', '_YOUR_EMAIL', 'Your email'),
(469, 'en', '_YOUR_NAME', 'Your Name'),
(470, 'en', '_YOU_ARE_LOGGED_AS', 'You are logged in as'),
(471, 'en', '_ZIPCODE_EMPTY_ALERT', 'Zip/Postal code can not be empty! Please re-enter.'),
(472, 'en', '_ZIP_CODE', 'Zip/Postal code');